package com.vsa.gestorincidencias;

import org.json.JSONException;
import org.json.JSONObject;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Typeface;
import android.net.Uri;
import android.os.Bundle;
import android.os.StrictMode;
import android.preference.PreferenceManager;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.RadioButton;
import android.widget.TextView;
import android.widget.Toast;

import com.vsa.gestorincidencias.utilidades.Constantes;
import com.vsa.gestorincidencias.utilidades.JSONParser;
import com.vsa.gestorincidencias.utilidades.ObtenerDatos;

public class VisualizarSolicitud extends Activity {

	// Parseo del JSON
	JSONParser jsonParser = new JSONParser();

	private Button botonConfirmarPresupuesto, botonVolver;
	private RadioButton opcionAceptar, opcionRechazar;
	

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);		
		
		setContentView(R.layout.solicitud_individual);	

		// Para evitar problemas con varios hilos
		StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
		StrictMode.setThreadPolicy(policy);

		// Botones
		botonConfirmarPresupuesto = (Button) findViewById(R.id.boton_confirmar_presupuesto);
		botonConfirmarPresupuesto.setEnabled(false);
		botonVolver = (Button) findViewById(R.id.boton_volver);

		// RadioButtons para aceptar/rechazar presupuesto
		opcionAceptar = (RadioButton) findViewById(R.id.option_aceptar);
		opcionRechazar = (RadioButton) findViewById(R.id.option_rechazar);
		opcionAceptar.setEnabled(false);		
		opcionRechazar.setEnabled(false);		
		
		// Etiquetas
		TextView labelId = (TextView) findViewById(R.id.label_id);
		TextView labelTipo = (TextView) findViewById(R.id.label_tipo);
		TextView labelEstado = (TextView) findViewById(R.id.label_estado);

		TextView labelTitulo = (TextView) findViewById(R.id.label_titulo);
		TextView labelDescripcion = (TextView) findViewById(R.id.label_descripcion);
		TextView labelCabecera = (TextView) findViewById(R.id.label_cabecera);
		TextView labelPresupuesto = (TextView) findViewById(R.id.label_presupuesto);
		
		labelPresupuesto.setEnabled(false);

		// Se obtienen los datos de la actividad anterior MisSolicitudes
		Intent in = getIntent();
		final String idSolicitud = in.getStringExtra("idSolicitud");
		final String tituloSolicitud = in.getStringExtra("tituloSolicitud");
		final String tipoSolicitud = in.getStringExtra("tipoSolicitud");		
		final String descripcionSolicitud = in.getStringExtra("descripcionSolicitud");
		final String presupuestoSolicitud = in.getStringExtra("presupuestoSolicitud");


		// Muestra por pantalla los valores obtenidos
		TextView cajaTextoIdSolicitud = (TextView) findViewById(R.id.id_solicitud_detalle);
		TextView cajaTextoTituloSolicitud = (TextView) findViewById(R.id.titulo_solicitud_detalle);
		TextView cajaTextoTipoSolicitud = (TextView) findViewById(R.id.tipo_solicitud_detalle);
		TextView cajaTextoEstadoSolicitud = (TextView) findViewById(R.id.estado_solicitud_detalle);
		TextView cajaTextoDescripcionSolicitud = (TextView) findViewById(R.id.descripcion_solicitud_detalle);	
		TextView cajaTextoPresupuestoSolicitud = (TextView) findViewById(R.id.presupuesto_solicitud_detalle);		
		
		

		// Se deshabilita el texto de presupuesto y se inicializa a "No existe presupuesto"
		cajaTextoPresupuestoSolicitud.setEnabled(false);
		cajaTextoPresupuestoSolicitud.setText("No existe presupuesto");
		

		if (tipoSolicitud.equals(Constantes.TIPO_DESARROLLO)){
			// Se comprueba el estado de la solicitud es "Desarrollo"
			// y el tipo "Pendiente de aceptacion" en ese caso se activan los options de aceptar/rechazar
			// y el boton de aceptar
			final String estadoSolicitud = in.getStringExtra("estadoSolicitud");
			if (estadoSolicitud.equals(Constantes.ESTADO_PENDIENTE_ACEPTACION) && tipoSolicitud.equals(Constantes.TIPO_DESARROLLO)){
				cajaTextoEstadoSolicitud.setText(estadoSolicitud);
				botonConfirmarPresupuesto.setEnabled(true);
				opcionAceptar.setEnabled(true);
				opcionRechazar.setEnabled(true);
				labelPresupuesto.setEnabled(true);
				cajaTextoPresupuestoSolicitud.setEnabled(true);
				cajaTextoPresupuestoSolicitud.setText(presupuestoSolicitud);
			}
		}


		if (tipoSolicitud.equals(Constantes.TIPO_INCIDENCIA_SISTEMAS) || tipoSolicitud.equals(Constantes.TIPO_INCIDENCIA_SOFTWARE)){
			botonConfirmarPresupuesto.setVisibility(View.GONE);
			opcionAceptar.setVisibility(View.GONE);
			opcionRechazar.setVisibility(View.GONE);
			labelPresupuesto.setVisibility(View.GONE);
			cajaTextoPresupuestoSolicitud.setVisibility(View.GONE);
			cajaTextoPresupuestoSolicitud.setVisibility(View.GONE);
			final String estadoSolicitud = in.getStringExtra("estadoSolicitud");
			cajaTextoEstadoSolicitud.setText(estadoSolicitud);
			botonVolver.setX(400);
			
		}		
		

		if (tipoSolicitud.equals(Constantes.TIPO_PREGUNTAS_FRECUENTES)){
			labelPresupuesto.setVisibility(View.GONE);
			cajaTextoPresupuestoSolicitud.setVisibility(View.GONE);
			opcionAceptar.setVisibility(View.GONE);		
			opcionRechazar.setVisibility(View.GONE);	
			botonConfirmarPresupuesto.setVisibility(View.GONE);			
			cajaTextoTipoSolicitud.setVisibility(View.GONE);
			
			labelPresupuesto.setVisibility(View.GONE);
			labelId.setVisibility(View.GONE);
			labelTipo.setVisibility(View.GONE);			
			labelEstado.setVisibility(View.GONE);
			labelTitulo.setVisibility(View.GONE);
			
			labelDescripcion.setVisibility(View.GONE);
			labelCabecera.setText("PREGUNTA");		
						
			cajaTextoTituloSolicitud.setY(700);
			cajaTextoTituloSolicitud.setX(-200);
			cajaTextoTituloSolicitud.setTypeface(null, Typeface.BOLD);     
			cajaTextoDescripcionSolicitud.setY(-100);
			cajaTextoDescripcionSolicitud.setX(-200);
			botonVolver.setX(400);
			
		}


		cajaTextoIdSolicitud.setText(idSolicitud);
		cajaTextoTituloSolicitud.setText(tituloSolicitud);
		cajaTextoTipoSolicitud.setText(tipoSolicitud);		
		cajaTextoDescripcionSolicitud.setText(descripcionSolicitud);
		

		// Si se pulsa el botn aceptar
		botonConfirmarPresupuesto.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View arg0) {
				SharedPreferences sp = PreferenceManager
						.getDefaultSharedPreferences(VisualizarSolicitud.this);
				String autorizacion = sp.getString("autorizacionBasica", null);

				String SOLICITUD_URL_modificada = 
						Constantes.SOLICITUD_URL.replaceAll("idSolicitud", idSolicitud);

				String estadoPresupuesto = "";

				// Dependiendo el RadioButton que se haya pulsado se acepta 
				// o rechaza la solicitud de desarrollo actualizando su estado
				if (opcionAceptar.isChecked()){
					estadoPresupuesto = Constantes.ESTADO_PRESUPUESTO_ACEPTADO;
				}
				// Si se pulsa rechazar
				if (opcionRechazar.isChecked()){
					estadoPresupuesto = Constantes.ESTADO_PRESUPUESTO_RECHAZADO;
				}
				try {
					String idEstadoSolicitud = new ObtenerDatos()
					.obtenerIdEstadoSolicitud(estadoPresupuesto, VisualizarSolicitud.this, autorizacion);

					// Se crean el JSON para actualizar el estado a "aceptado"
					JSONObject jsonEntradaAceptacionSolicitud = new JSONObject();
					JSONObject jsonHijoAceptacionSolicitud = new JSONObject();

					jsonHijoAceptacionSolicitud.put(Constantes.TAG_ESTADO_SOLICITUD_ID, idEstadoSolicitud);
					jsonEntradaAceptacionSolicitud.put(Constantes.TAG_SOLICITUD, jsonHijoAceptacionSolicitud);					

					// Se realiza la llamada para actualizar el estado de la solicitud
					JSONObject jsonActualizacionEstadoSolicitud = jsonParser.ejecutarSolicitudHTTP
							(SOLICITUD_URL_modificada, "PUT", jsonEntradaAceptacionSolicitud, autorizacion, false);					

					String respuestaServidor = jsonActualizacionEstadoSolicitud.getString(Constantes.TAG_RESPUESTA);

					if (respuestaServidor.equals("200")){
						Toast.makeText(VisualizarSolicitud.this, 
								"Solicitud actualizada correctamente!", Toast.LENGTH_LONG).show();
					} else {
						Toast.makeText(VisualizarSolicitud.this, 
								"Se ha producido un error al actualizar el estado del presupuesto", Toast.LENGTH_LONG).show();
					}
				} catch (JSONException e) {
					e.printStackTrace();
				}
				// Se vuelve a la ctividad "MisSolicitudes"
				Intent in = new Intent(getApplicationContext(),
						MisSolicitudes.class);
				startActivity(in);
			}
		});


		// Si se pulsa el botn volver se regresa a la actividad anterior "MisSolicitudes"
		botonVolver = (Button) findViewById(R.id.boton_volver);
		botonVolver.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View arg0) {
				// Se vuelve a la ctividad "MisSolicitudes"
				if (tipoSolicitud.equals(Constantes.TIPO_PREGUNTAS_FRECUENTES)){
					Intent in = new Intent(getApplicationContext(),
							PreguntasFrecuentes.class);
					startActivity(in);
				}
				else {
					Intent in = new Intent(getApplicationContext(),
							MisSolicitudes.class);
					startActivity(in);
				}
			}
		});
	}


	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Se crean las opciones del menu desplegable
		menu.add(Menu.NONE, 1, Menu.NONE, "Menu principal")
		.setIcon(android.R.drawable.ic_menu_preferences);
		//menu.add(Menu.NONE, 2, Menu.NONE, "Mis solicitudes")
		//.setIcon(android.R.drawable.ic_menu_agenda);
		menu.add(Menu.NONE, 3, Menu.NONE, "Registrar incidencia")
		.setIcon(android.R.drawable.ic_menu_compass);
		menu.add(Menu.NONE, 4, Menu.NONE, "Nuevo desarrollo")
		.setIcon(android.R.drawable.ic_menu_agenda);
		menu.add(Menu.NONE, 5, Menu.NONE, "Enviar sugerencias")
		.setIcon(android.R.drawable.ic_menu_agenda);
		menu.add(Menu.NONE, 6, Menu.NONE, "Preguntas frecuentes")
		.setIcon(android.R.drawable.ic_menu_agenda);
		menu.add(Menu.NONE, 7, Menu.NONE, "Manual de usuario")
		.setIcon(android.R.drawable.ic_menu_agenda);
		return true;
	}



	@Override
	public boolean onOptionsItemSelected(MenuItem item) {

		// Se obtiene el rol del usuario conectado para comprobar si tiene permisos
		SharedPreferences sp = PreferenceManager
				.getDefaultSharedPreferences(VisualizarSolicitud.this);
		String nombreRol = sp.getString("nombreRol", null);
		String apiKeyUsuario = sp.getString("apiKeyUsuario", null);
		String rutaFicheroManualUsuario = sp.getString("rutaFicheroManualUsuario", null);

		switch (item.getItemId()) {
		case 1:
			Intent i = new Intent(this, MenuPrincipal.class);
			finish();
			startActivity(i);
			return true;
		case 2:
			Intent j = new Intent(this, MisSolicitudes.class);
			finish();
			startActivity(j);
			return true;
		case 3:
			Intent k = new Intent(this, RegistrarIncidencia.class);
			finish();
			startActivity(k);
			return true;
		case 4:
			if (!nombreRol.equals("Cliente")) {			
				Intent l = new Intent(this, SolicitudDesarrollo.class);
				startActivity(l);							
			} else {
				Toast.makeText(VisualizarSolicitud.this, "Su usuario no dispone de permisos para la funcionalidad solicitada",
						Toast.LENGTH_LONG).show();
				Intent in = new Intent(getApplicationContext(),
						VisualizarSolicitud.class);
				startActivity(in);			
			}
			return true;
		case 5:
			Intent m = new Intent(this, EnviarSugerencias.class);
			finish();
			startActivity(m);
			return true;
		case 6:
			Intent n = new Intent(this, PreguntasFrecuentes.class);
			finish();
			startActivity(n);
			return true;
		case 7:
			Uri uri = Uri.parse(rutaFicheroManualUsuario + "?key=" + apiKeyUsuario);
			Intent o = new Intent(Intent.ACTION_VIEW, uri);
			startActivity(o);
			return true;
		default:
			return super.onOptionsItemSelected(item);
		}
	}


}