package com.vsa.gestorincidencias.utilidades;

public final class Constantes {

	/*
	 *  IDs de los JSON enviados y recibidos por la API Rest		
	 */	
	public static final String TAG_ERRORES = "errors";	
	public static final String TAG_TITULO = "subject";
	public static final String TAG_ESTADO = "status";	
	public static final String TAG_DESCRIPCION = "description";
	public static final String TAG_ID = "id";
	// Etiqueta creada para insertar la respuesta del servidor en el JSON de salida de la llamada API Rest
	public static final String TAG_RESPUESTA = "respuesta";
		
	
	// IDs Solicitudes
	public static final String TAG_TIPOS_SOLICITUD = "trackers";
	public static final String TAG_TIPO_SOLICITUD = "tracker";
	public static final String TAG_TIPO_SOLICITUD_ID = "tracker_id";
	public static final String TAG_SOLICITUDES = "issues";
	public static final String TAG_SOLICITUD = "issue";
	public static final String TAG_ESTADO_SOLICITUD_ID = "status_id";
	public static final String TAG_PRIORIDAD_ID = "priority_id";
	public static final String TAG_ADJUNTOS = "attachments";
	public static final String TAG_RUTA_FICHERO = "content_url";
	
	// IDs Usuario
	public static final String TAG_USUARIO = "user";
	public static final String TAG_USUARIO_ID = "user_id";
	public static final String TAG_NOMBRE = "name";
	public static final String TAG_APELLIDOS = "lastname";
	public static final String TAG_MAIL = "mail";
	public static final String TAG_PASSWORD = "password";
	public static final String TAG_USUARIOS = "users";
	public static final String TAG_NOMBRE_USUARIO = "firstname";
	public static final String TAG_LOGIN = "login";
	public static final String TAG_AUTOR = "author";
	public static final String TAG_API_KEY = "api_key";
	
	// IDs Perfiles y asignaciones
	public static final String TAG_ROL_ID = "role_ids";
	public static final String TAG_ROLES = "roles";
	public static final String TAG_ASIGNACIONES = "memberships";
	public static final String TAG_ASIGNACION = "membership";

	// IDs de Proyecto/Empresa
	public static final String TAG_PROYECTOS = "projects";
	public static final String TAG_PROYECTO_ID = "project_id";
	public static final String TAG_IDENTIFICADOR = "identifier";	
	
	public static final String TAG_IDENTIFICADOR_EMPRESA = "empresa";
	
	public static final String TAG_PAGINA_WIKI = "wiki_page";
	
	

	// Etiquetas Campos personalizados	
	public static final String TAG_CAMPOS_PERSONALIZADOS = "custom_fields";
	public static final String TAG_VALOR = "value";
	public static final String TAG_PRESUPUESTO = "Presupuesto";
	public static final String TAG_ESTADOS_SOLICITUD = "issue_statuses";
	public static final String TAG_DATOS_INCIDENCIA = "DatosIncidencia";
	
	
	// Tipos de peticiones
	public static final String TIPO_SUGERENCIA = "Sugerencia";	
	public static final String TIPO_INCIDENCIA_SISTEMAS = "Incidencia Sistemas";
	public static final String TIPO_INCIDENCIA_SOFTWARE = "Incidencia Software";
	public static final String TIPO_DESARROLLO = "Desarrollo";
	public static final String TIPO_PREGUNTAS_FRECUENTES = "Preguntas Frecuentes";	
	public static final String[] CONJUNTO_TIPOS_SOLICITUDES = { "Incidencia Sistemas", "Incidencia Software", "Desarrollo" };	
	
	
	// Estados de las peticiones
	public static final String ESTADO_PRESUPUESTO_ACEPTADO = "Presupuesto aceptado";
	public static final String ESTADO_PRESUPUESTO_RECHAZADO = "Presupuesto rechazado";
	public static final String ESTADO_PENDIENTE_ACEPTACION = "Pendiente de aceptacion";	
	
	
	// Roles
	public static final String ROL_CLIENTE = "Cliente";
	
	
	// Proyectos propios
	public static final String TIPO_PROYECTO_BUZON = "Buzon";
	public static final String TIPO_PROYECTO_INTERNO = "Interno";

	/*
	 * URLs 
	 */
	// Esta url sirve para leer solicitudes, dar de alta una solicitud y comprobar el usuario
	//del login, puesto que se realiza mediante la insercin de un issue
	public static final String URL = "http://192.168.0.195:80/redmine/";
	
	// Url para el tratamiento de los datos de las solicitudes (permite leer, crear, actualizar y borrar)
	public static final String SOLICITUDES_URL = URL + "issues.json";
	
	// Esta url devuelve los datos de una solicitud. El nmero de la solicitud se sustituir por idSolicitud
		// ejemplo solicitud_id = 1 "http://localhost/redmine/issues/1.json";
	public static final String SOLICITUD_URL = URL + "issues/idSolicitud.json";
	
	public static final String LEER_TIPOS_SOLICITUD_URL = URL + "trackers.json";
	
	// Url para el tratamiento de los datos de los usuarios (permite leer, crear, actualizar y borrar) *requiere permisos ADMIN
	public static final String USUARIOS_URL = URL + "users.json";	
	
	// Devuelve los datos del usuario cuya autorizacin se pasa como parmetro de la llamada
	public static final String USUARIO_ACTUAL_URL = URL + "users/current.json";
	
	public static final String PROYECTOS_URL = URL + "projects.json";
	
	// Esta url asigna un usuario a un proyecto. El nmero del proyecto se sustituir por idProyecto
	// ejemplo proyecto_id = 1 "http://localhost/redmine/projects/1/memberships.json";
	public static final String USUARIOS_ASIGNADOS_PROYECTO_URL = URL + "projects/idProyecto/memberships.json";
	
	public static final String LEER_ROLES_URL = URL + "roles.json";	
	
	public static final String ESTADOS_SOLICITUD_URL = URL + "issue_statuses.json";
	
	public static final String FICHERO_ADJUNTO_URL = "?include=attachments";
	
	public static final String WIKI_PROYECTO_URL = URL + "projects/idProyecto/wiki/Wiki.json";
	

}
