package com.vsa.gestorincidencias.utilidades;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.client.methods.HttpPut;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONException;
import org.json.JSONObject;

import android.util.Log;

public class JSONParser {

	static InputStream is = null;
	static JSONObject jObj = null;
	static String json = "";	


	public JSONParser() {
	}

	// Obtiene el JSON de la url ejecutada
	public JSONObject ejecutarSolicitudHTTP(String url, String metodo,
			JSONObject jsonEntrada, String autorizacion, boolean admin) {

		String respuestaServidor = "";
		// Realiza la ejecucin de la peticin
		try {

			// Comprueba si el mtodo es GET, POST o PUT
			if (metodo == "POST") {
				DefaultHttpClient httpClient = new DefaultHttpClient();
				HttpPost httpPost = new HttpPost(url);

				StringEntity input = new StringEntity(jsonEntrada.toString());				
				input.setContentType("application/json");

				// Si admin es true significa que usaremos la API-Key de Redmine
				if (admin){
					httpPost.setHeader("X-Redmine-API-Key", autorizacion);	
				} else {
					httpPost.setHeader("Authorization", autorizacion);
				}

				httpPost.setEntity(input);

				HttpResponse httpResponse = httpClient.execute(httpPost);
				HttpEntity httpEntity = httpResponse.getEntity();
				is = httpEntity.getContent();
				respuestaServidor = String.valueOf(httpResponse.getStatusLine().getStatusCode());

			} else if (metodo == "GET") {
				DefaultHttpClient httpClient = new DefaultHttpClient();
				HttpGet httpGet = new HttpGet(url);				

				if (admin){
					httpGet.setHeader("X-Redmine-API-Key", autorizacion);	
				} else {
					httpGet.setHeader("Authorization", autorizacion);
				}

				HttpResponse httpResponse = httpClient.execute(httpGet);
				HttpEntity httpEntity = httpResponse.getEntity();
				is = httpEntity.getContent();
				respuestaServidor = String.valueOf(httpResponse.getStatusLine().getStatusCode());			
			}else if (metodo == "PUT") {
				DefaultHttpClient httpClient = new DefaultHttpClient();

				HttpPut httpPut = new HttpPut(url);

				StringEntity input = new StringEntity(jsonEntrada.toString());				
				input.setContentType("application/json");				

				if (admin){
					httpPut.setHeader("X-Redmine-API-Key", autorizacion);	
				} else {
					httpPut.setHeader("Authorization", autorizacion);
				}

				httpPut.setEntity(input);

				HttpResponse httpResponse = httpClient.execute(httpPut);
				HttpEntity httpEntity = httpResponse.getEntity();
				is = httpEntity.getContent();
				respuestaServidor = String.valueOf(httpResponse.getStatusLine().getStatusCode());			
			}

		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		} catch (ClientProtocolException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}

		try {
			BufferedReader reader = new BufferedReader(new InputStreamReader(
					is, "iso-8859-1"), 8);
			StringBuilder sb = new StringBuilder();
			String line = null;
			while ((line = reader.readLine()) != null) {
				sb.append(line + "\n");
			}
			is.close();

			// Si la respuesta del JSON es nula inicializamos un JSON vaco
			if (sb.toString().equals("") ){	
				sb.append("{}");
			}


			json = sb.toString();

		} catch (Exception e) {
			Log.e("Buffer Error", "Error converting result " + e.toString());
		}

		try {			
			jObj = new JSONObject(json);
			// Se introduce la respuesta del servidor en el JSON de salida para poder recuperarlo mas tarde
			jObj.put("respuesta", respuestaServidor);

		} catch (JSONException e) {
			Log.e("JSON Parser", "Error en la obtencin de datos " + e.toString());
		}

		// Devuelve un objeto JSON resultado de la consulta
		return jObj;
	}
}
