package com.vsa.gestorincidencias.utilidades;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import android.content.Context;
import android.widget.Toast;

public class ObtenerDatos {

	private JSONArray jarrayTiposSolicitud = null;
	private JSONArray jarrayRoles = null;
	private JSONArray jarrayEstadosSolicitud = null;
	private JSONArray jarrayAsignacionesProyectos = null;
	private JSONArray jsArrayDatosWiki = null;


	JSONParser jsonParser = new JSONParser();

	public String obtenerIdTipoSolicitud
	(String tipoSolicitud, Context contexto, String autorizacion) {		  

		String idTipoSolicitud = null;

		JSONObject jsonTiposSolicitud = jsonParser.ejecutarSolicitudHTTP
				(Constantes.LEER_TIPOS_SOLICITUD_URL, "GET", null, autorizacion, false);

		try {			
			String respuestaServidor = jsonTiposSolicitud.getString(Constantes.TAG_RESPUESTA);

			if (respuestaServidor.equals("200")){
				jarrayTiposSolicitud = jsonTiposSolicitud.getJSONArray(Constantes.TAG_TIPOS_SOLICITUD);

				// Bucle que recorre todos los resultados del array de JSON obtenido
				for (int i = 0; i < jarrayTiposSolicitud.length(); i++) {
					JSONObject JsTiposSolicitud = jarrayTiposSolicitud.getJSONObject(i);

					// Solo insertamos las de tipo incidencia					
					if (JsTiposSolicitud.getString(Constantes.TAG_NOMBRE).
							toString().equals(tipoSolicitud)){
						idTipoSolicitud = JsTiposSolicitud.getString(Constantes.TAG_ID).toString();
					}
				}				

			} else {
				Toast.makeText(contexto, "No se ha podido obtener el identificador del tipo de solicitud",
						Toast.LENGTH_LONG).show();
			}
		} catch (JSONException e) {
			e.printStackTrace();
		}		
		return idTipoSolicitud;
	}



	public String obtenerIdProyecto
	(String nombreProyecto, Context contexto, String autorizacion) {		  

		String idProyecto = null;

		JSONObject jsonProyectos = jsonParser.ejecutarSolicitudHTTP
				(Constantes.PROYECTOS_URL, "GET", null, autorizacion, false);

		try {			
			String respuestaServidor = jsonProyectos.getString(Constantes.TAG_RESPUESTA);

			if (respuestaServidor.equals("200")){
				jarrayTiposSolicitud = jsonProyectos.getJSONArray(Constantes.TAG_PROYECTOS);

				// Bucle que recorre todos los resultados del array de JSON obtenido
				for (int i = 0; i < jarrayTiposSolicitud.length(); i++) {
					JSONObject JsTiposSolicitud = jarrayTiposSolicitud.getJSONObject(i);

					// Solo insertamos las de tipo incidencia					
					if (JsTiposSolicitud.getString(Constantes.TAG_NOMBRE).
							toString().equals(nombreProyecto)){
						idProyecto = JsTiposSolicitud.getString(Constantes.TAG_ID).toString();
					}
				}				

			} else {
				Toast.makeText(contexto, "No se ha podido obtener el identificador del proyecto",
						Toast.LENGTH_LONG).show();
			}
		} catch (JSONException e) {
			e.printStackTrace();
		}		
		return idProyecto;
	}



	public String obtenerIdRol
	(String rol, Context contexto, String autorizacion) {	
		String idRol = null;	
		JSONObject jsonUsuarios = jsonParser.ejecutarSolicitudHTTP(Constantes.LEER_ROLES_URL,
				"GET", null, autorizacion, true);		
		try {
			String respuestaServidor = jsonUsuarios.getString(Constantes.TAG_RESPUESTA);

			if (respuestaServidor.equals("200")){
				jarrayRoles = jsonUsuarios.getJSONArray(Constantes.TAG_ROLES);

				// Bucle que recorre todos los resultados del array de JSON obtenido
				for (int i = 0; i < jarrayRoles.length(); i++) {
					JSONObject JsRoles = jarrayRoles.getJSONObject(i);
					if (rol.equals(JsRoles.getString(Constantes.TAG_NOMBRE))){
						idRol = JsRoles.getString(Constantes.TAG_ID);
					}
				}				

			} else {
				Toast.makeText(contexto, "No se ha podido obtener el identificador del Rol del usuario",
						Toast.LENGTH_LONG).show();
				//log
			}
		} catch (JSONException e) {
			e.printStackTrace();
		}	
		return idRol;
	}


	public String obtenerNombreRol
	(String idUsuario, String idEmpresa, Context contexto, String autorizacion) {	
		String nombreRol = null;

		String USUARIO_ASIGNADOS_PROYECTO_URL_modificada = 
				Constantes.USUARIOS_ASIGNADOS_PROYECTO_URL.replaceAll("idProyecto", idEmpresa);

		JSONObject jsonAsignacionesProyectos = jsonParser.ejecutarSolicitudHTTP
				(USUARIO_ASIGNADOS_PROYECTO_URL_modificada,"GET", null, autorizacion, false);
		try {
			String respuestaServidor = jsonAsignacionesProyectos.getString(Constantes.TAG_RESPUESTA);

			if (respuestaServidor.equals("200")){
				jarrayAsignacionesProyectos = jsonAsignacionesProyectos.getJSONArray(Constantes.TAG_ASIGNACIONES);

				// Bucle que recorre todos los resultados del array de JSON obtenido
				for (int i = 0; i < jarrayAsignacionesProyectos.length(); i++) {
					JSONObject JsAsignacionesProyectos = jarrayAsignacionesProyectos.getJSONObject(i);	

					JSONObject JsUsuario = JsAsignacionesProyectos.getJSONObject(Constantes.TAG_USUARIO);	

					if (idUsuario.equals(JsUsuario.getString(Constantes.TAG_ID))){						
						jarrayRoles = JsAsignacionesProyectos.getJSONArray(Constantes.TAG_ROLES);

						for (int j = 0; j < jarrayRoles.length(); j++) {
							JSONObject JsDatosRol = jarrayRoles.getJSONObject(j);
							nombreRol= JsDatosRol.getString(Constantes.TAG_NOMBRE);	
						}
					} 
				}
			} else {
				Toast.makeText(contexto, "No se ha podido obtener el Rol del usuario",
						Toast.LENGTH_LONG).show();
			}	
		}catch (JSONException e) {
			e.printStackTrace();
		}
		return nombreRol;
	}


	public String obtenerIdUsuario(Context contexto, String autorizacion) {
		String idUsuario = null;

		JSONObject jsonUsuarioActual = jsonParser.ejecutarSolicitudHTTP
				(Constantes.USUARIO_ACTUAL_URL,"GET", null, autorizacion, false);
		try {
			String respuestaServidor = jsonUsuarioActual.getString(Constantes.TAG_RESPUESTA);

			if (respuestaServidor.equals("200")){
				JSONObject JsUsuarioActual = jsonUsuarioActual.getJSONObject(Constantes.TAG_USUARIO);	
				idUsuario = JsUsuarioActual.getString(Constantes.TAG_ID);				
			}
			else {
				Toast.makeText(contexto, "No se ha podido obtener el identificador de usuario",
						Toast.LENGTH_LONG).show();
			}	
		}catch (JSONException e) {
			e.printStackTrace();
		}		
		return idUsuario;
	}



	public String obtenerRutaFicheroManualUsuario(String proyectoWiki, Context contexto, String autorizacion) {
		String rutaFicheroManualUsuario = "";

		String PROYECTO_URL_modificado = 
				Constantes.WIKI_PROYECTO_URL.replaceAll("idProyecto", proyectoWiki);

		JSONObject jsonWiki = jsonParser.ejecutarSolicitudHTTP(PROYECTO_URL_modificado + Constantes.FICHERO_ADJUNTO_URL,
				"GET", null, autorizacion, false);

		try {
			String respuestaServidor = jsonWiki.getString(Constantes.TAG_RESPUESTA);

			// Si la respuesta del servidor es correcta (200)
			if (respuestaServidor.equals("200")){

				JSONObject jsonDatosWiki = jsonWiki.getJSONObject(Constantes.TAG_PAGINA_WIKI);

				jsArrayDatosWiki = jsonDatosWiki.getJSONArray(Constantes.TAG_ADJUNTOS);

				// Bucle que recorre todos los resultados del array de JSON obtenido
				for (int n = 0; n < jsArrayDatosWiki.length(); n++) {
					JSONObject jsonDatosAdjuntos = jsArrayDatosWiki.getJSONObject(n);	
					rutaFicheroManualUsuario = jsonDatosAdjuntos.getString(Constantes.TAG_RUTA_FICHERO);
				}
			}
			else {
				Toast.makeText(contexto, "No se ha podido obtener la ruta del Manual de usuario",
						Toast.LENGTH_LONG).show();
			}	
		} catch (JSONException e) {
			e.printStackTrace();
		}
		return rutaFicheroManualUsuario;
	}


	public String obtenerApiKeyUsuario(Context contexto, String autorizacion) {
		String apiKeyUsuario = null;

		JSONObject jsonUsuarioActual = jsonParser.ejecutarSolicitudHTTP
				(Constantes.USUARIO_ACTUAL_URL,"GET", null, autorizacion, false);
		try {
			String respuestaServidor = jsonUsuarioActual.getString(Constantes.TAG_RESPUESTA);

			if (respuestaServidor.equals("200")){
				JSONObject JsUsuarioActual = jsonUsuarioActual.getJSONObject(Constantes.TAG_USUARIO);	
				apiKeyUsuario = JsUsuarioActual.getString(Constantes.TAG_API_KEY);				
			}
			else {
				Toast.makeText(contexto, "No se ha podido obtener la API-KEY del usuario",
						Toast.LENGTH_LONG).show();
			}	
		}		
		catch (JSONException e) {
			e.printStackTrace();
		}		
		return apiKeyUsuario;
	}


	public String obtenerIdEstadoSolicitud
	(String estadoSolicitud, Context contexto, String autorizacion) {	
		String idEstadoSolicitud = null;		
		JSONObject jsonEstadosSolicitus = jsonParser.ejecutarSolicitudHTTP(Constantes.ESTADOS_SOLICITUD_URL,
				"GET", null, autorizacion, false);		
		try {
			String respuestaServidor = jsonEstadosSolicitus.getString(Constantes.TAG_RESPUESTA);

			if (respuestaServidor.equals("200")){
				jarrayEstadosSolicitud = jsonEstadosSolicitus.getJSONArray(Constantes.TAG_ESTADOS_SOLICITUD);

				// Bucle que recorre todos los resultados del array de JSON obtenido
				for (int i = 0; i < jarrayEstadosSolicitud.length(); i++) {
					JSONObject JsEstadosSolicitud = jarrayEstadosSolicitud.getJSONObject(i);
					if (estadoSolicitud.equals(JsEstadosSolicitud.getString(Constantes.TAG_NOMBRE))){
						idEstadoSolicitud = JsEstadosSolicitud.getString(Constantes.TAG_ID);
					}
				}
			} else {
				Toast.makeText(contexto, "No se ha podido obtener el identificador del Estado de solicitud",
						Toast.LENGTH_LONG).show();
			}
		} catch (JSONException e) {
			e.printStackTrace();
		}	
		return idEstadoSolicitud;
	}	


}
