package com.vsa.gestorincidencias.test;

import java.io.UnsupportedEncodingException;

import junit.framework.TestCase;

import org.json.JSONException;
import org.json.JSONObject;
import org.junit.Test;

import com.vsa.gestorincidencias.utilidades.Constantes;
import com.vsa.gestorincidencias.utilidades.JSONParser;


public class ComprobarAutorizacionTest extends TestCase {



	@Test
	public void testJSONParserAutorizacionCorrecta() throws JSONException, UnsupportedEncodingException {		
		String respuestaEsperada = "200";	
		JSONParser q = new JSONParser();

		JSONObject jsonAutorizacionCorrecta = q.ejecutarSolicitudHTTP(Constantes.USUARIOS_URL,
				"GET", null, "226b571019ed42ed9d88053dd5ef33ab98bdb3b2", true);

		String respuestaRecibida = jsonAutorizacionCorrecta.getString(Constantes.TAG_RESPUESTA);

		assertEquals(respuestaEsperada, respuestaRecibida);

	}


	@Test
	public void testJSONParserAutorizacionIncorrecta() throws JSONException, UnsupportedEncodingException {		
		String respuestaEsperada = "401";	
		JSONParser r = new JSONParser();	

		JSONObject jsonAutorizacionIncorrecta = r.ejecutarSolicitudHTTP(Constantes.USUARIOS_URL,
				"GET", null, "PRUEBA", false);

		String respuestaRecibida = jsonAutorizacionIncorrecta.getString(Constantes.TAG_RESPUESTA);

		assertEquals(respuestaEsperada, respuestaRecibida);

	}


}
