package com.vsa.gestorincidencias.test;

import junit.framework.TestCase;

import org.junit.Test;

import android.content.Context;

import com.vsa.gestorincidencias.utilidades.Constantes;
import com.vsa.gestorincidencias.utilidades.ObtenerDatos;


public class ObtenerDatosTest extends TestCase {


	@Test
	public void testObtenerIdRolCorrecto() {
		Context contexto = null;			
		ObtenerDatos S = new ObtenerDatos();
		assertTrue((S.obtenerIdRol("Cliente", contexto, "226b571019ed42ed9d88053dd5ef33ab98bdb3b2").equals("6")));
	}


	@Test
	public void testObtenerIdRolFalso() {
		Context contexto = null;			
		ObtenerDatos S = new ObtenerDatos();
		assertFalse((S.obtenerIdRol("Cliente", contexto, "226b571019ed42ed9d88053dd5ef33ab98bdb3b2").equals("1")));
	}


	@Test
	public void testObtenerIdTipoSolicitudCorrecto() {
		Context contexto = null;		
		ObtenerDatos S = new ObtenerDatos();
		assertTrue((S.obtenerIdTipoSolicitud(Constantes.TIPO_SUGERENCIA, contexto, "Basic YWRtaW46MTIzNDU2Nzg=").equals("7")));
	}


	@Test
	public void testObtenerIdTipoSolicitudFalso() {
		Context contexto = null;		
		ObtenerDatos S = new ObtenerDatos();
		assertFalse((S.obtenerIdTipoSolicitud(Constantes.TIPO_SUGERENCIA, contexto, "Basic YWRtaW46MTIzNDU2Nzg=").equals("4")));
	}


	@Test
	public void testObtenerIdProyectoCorrecto() {
		Context contexto = null;
		ObtenerDatos S = new ObtenerDatos();
		assertTrue((S.obtenerIdProyecto(Constantes.TIPO_PROYECTO_INTERNO, contexto, "Basic YWRtaW46MTIzNDU2Nzg=").equals("5")));
	}


	@Test
	public void testObtenerIdProyectoFalso() {
		Context contexto = null;
		ObtenerDatos S = new ObtenerDatos();
		assertFalse((S.obtenerIdProyecto(Constantes.TIPO_PROYECTO_INTERNO, contexto, "Basic YWRtaW46MTIzNDU2Nzg=").equals("8")));
	}



	@Test
	public void testObtenerNombreRolCorrecto() {
		Context contexto = null;	
		ObtenerDatos S = new ObtenerDatos();
		assertFalse((S.obtenerNombreRol("56", "3", contexto, "Basic YWRtaW46MTIzNDU2Nzg=").equals("Cliente responsable")));
	}


	@Test
	public void testObtenerNombreRolFalso() {
		Context contexto = null;	
		ObtenerDatos S = new ObtenerDatos();
		assertFalse((S.obtenerNombreRol("56", "3", contexto, "Basic YWRtaW46MTIzNDU2Nzg=").equals("PRUEBA")));
	}


	@Test
	public void testObtenerIdUsuarioCorrecto() {
		Context contexto = null;	
		ObtenerDatos S = new ObtenerDatos();
		assertTrue((S.obtenerIdUsuario(contexto, "Basic YWRtaW46MTIzNDU2Nzg=").equals("1")));
	}


	@Test
	public void testObtenerIdUsuarioFalso() {
		Context contexto = null;	
		ObtenerDatos S = new ObtenerDatos();
		assertFalse((S.obtenerIdUsuario(contexto, "Basic YWRtaW46MTIzNDU2Nzg=").equals("4")));
	}

	@Test
	public void testObtenerRutaFicheroManualUsuarioCorrecto() {
		Context contexto = null;		
		ObtenerDatos S = new ObtenerDatos();
		assertTrue((S.obtenerRutaFicheroManualUsuario(Constantes.TIPO_PROYECTO_INTERNO, contexto, "Basic YWRtaW46MTIzNDU2Nzg=").
				equals("http://192.168.0.195/redmine/attachments/download/2/TFMobils_PAC3_20161.pdf")));
	}

	@Test
	public void testObtenerRutaFicheroManualUsuarioFalso() {
		Context contexto = null;		
		ObtenerDatos S = new ObtenerDatos();
		assertFalse((S.obtenerRutaFicheroManualUsuario(Constantes.TIPO_PROYECTO_INTERNO, contexto, "Basic YWRtaW46MTIzNDU2Nzg=").
				equals("PRUEBA")));
	}


	@Test
	public void testObtenerApiKeyUsuarioCorrecto() {
		Context contexto = null;		
		ObtenerDatos S = new ObtenerDatos();
		assertTrue((S.obtenerApiKeyUsuario(contexto, "Basic YWRtaW46MTIzNDU2Nzg=").
				equals("226b571019ed42ed9d88053dd5ef33ab98bdb3b2")));
	}

	@Test
	public void testObtenerApiKeyUsuarioFalso() {
		Context contexto = null;		
		ObtenerDatos S = new ObtenerDatos();
		assertFalse((S.obtenerApiKeyUsuario(contexto, "Basic YWRtaW46MTIzNDU2Nzg=").
				equals("PRUEBA")));
	}


	@Test
	public void testObtenerIdEstadoSolicitudCorrecto() {
		Context contexto = null;	
		ObtenerDatos S = new ObtenerDatos();
		assertTrue((S.obtenerIdEstadoSolicitud(Constantes.ESTADO_PRESUPUESTO_ACEPTADO, contexto, "Basic YWRtaW46MTIzNDU2Nzg=").
				equals("11")));
	}

	@Test
	public void testObtenerIdEstadoSolicitudFalso() {
		Context contexto = null;		
		ObtenerDatos S = new ObtenerDatos();
		assertFalse((S.obtenerIdEstadoSolicitud(Constantes.ESTADO_PRESUPUESTO_ACEPTADO, contexto, "Basic YWRtaW46MTIzNDU2Nzg=").
				equals("PRUEBA")));
	}	

}
