-- phpMyAdmin SQL Dump
-- version 4.6.4
-- https://www.phpmyadmin.net/
--
-- Servidor: localhost:3306
-- Tiempo de generación: 11-01-2017 a las 13:04:37
-- Versión del servidor: 5.6.33
-- Versión de PHP: 5.6.26

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `bitnami_redmine`
--
CREATE DATABASE IF NOT EXISTS `bitnami_redmine` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `bitnami_redmine`;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `attachments`
--

DROP TABLE IF EXISTS `attachments`;
CREATE TABLE IF NOT EXISTS `attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `container_id` int(11) DEFAULT NULL,
  `container_type` varchar(30) DEFAULT NULL,
  `filename` varchar(255) NOT NULL DEFAULT '',
  `disk_filename` varchar(255) NOT NULL DEFAULT '',
  `filesize` bigint(20) NOT NULL DEFAULT '0',
  `content_type` varchar(255) DEFAULT '',
  `digest` varchar(40) NOT NULL DEFAULT '',
  `downloads` int(11) NOT NULL DEFAULT '0',
  `author_id` int(11) NOT NULL DEFAULT '0',
  `created_on` datetime DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `disk_directory` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_attachments_on_author_id` (`author_id`),
  KEY `index_attachments_on_created_on` (`created_on`),
  KEY `index_attachments_on_container_id_and_container_type` (`container_id`,`container_type`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `attachments`
--

INSERT INTO `attachments` (`id`, `container_id`, `container_type`, `filename`, `disk_filename`, `filesize`, `content_type`, `digest`, `downloads`, `author_id`, `created_on`, `description`, `disk_directory`) VALUES
(1, 274, 'Issue', 'TFMobils_PAC3_20161.pdf', '161201173236_TFMobils_PAC3_20161.pdf', 135546, 'application/pdf', 'a77dc7506a51466e5c3c6c4197f9ca3e', 0, 1, '2016-12-01 17:32:36', 'Manual de usuario', '2016/12'),
(2, 1, 'WikiPage', 'TFMobils_PAC3_20161.pdf', '161201195207_TFMobils_PAC3_20161.pdf', 135546, 'application/pdf', 'a77dc7506a51466e5c3c6c4197f9ca3e', 0, 1, '2016-12-01 19:52:07', '', '2016/12'),
(3, 2, 'WikiPage', 'TFMobils_PAC3_20161.pdf', '161201204113_TFMobils_PAC3_20161.pdf', 135546, 'application/pdf', 'a77dc7506a51466e5c3c6c4197f9ca3e', 0, 1, '2016-12-01 20:41:13', '', '2016/12');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `auth_sources`
--

DROP TABLE IF EXISTS `auth_sources`;
CREATE TABLE IF NOT EXISTS `auth_sources` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(30) NOT NULL DEFAULT '',
  `name` varchar(60) NOT NULL DEFAULT '',
  `host` varchar(60) DEFAULT NULL,
  `port` int(11) DEFAULT NULL,
  `account` varchar(255) DEFAULT NULL,
  `account_password` varchar(255) DEFAULT '',
  `base_dn` varchar(255) DEFAULT NULL,
  `attr_login` varchar(30) DEFAULT NULL,
  `attr_firstname` varchar(30) DEFAULT NULL,
  `attr_lastname` varchar(30) DEFAULT NULL,
  `attr_mail` varchar(30) DEFAULT NULL,
  `onthefly_register` tinyint(1) NOT NULL DEFAULT '0',
  `tls` tinyint(1) NOT NULL DEFAULT '0',
  `filter` text,
  `timeout` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_auth_sources_on_id_and_type` (`id`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `boards`
--

DROP TABLE IF EXISTS `boards`;
CREATE TABLE IF NOT EXISTS `boards` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) DEFAULT NULL,
  `position` int(11) DEFAULT NULL,
  `topics_count` int(11) NOT NULL DEFAULT '0',
  `messages_count` int(11) NOT NULL DEFAULT '0',
  `last_message_id` int(11) DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `boards_project_id` (`project_id`),
  KEY `index_boards_on_last_message_id` (`last_message_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `changes`
--

DROP TABLE IF EXISTS `changes`;
CREATE TABLE IF NOT EXISTS `changes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `changeset_id` int(11) NOT NULL,
  `action` varchar(1) NOT NULL DEFAULT '',
  `path` text NOT NULL,
  `from_path` text,
  `from_revision` varchar(255) DEFAULT NULL,
  `revision` varchar(255) DEFAULT NULL,
  `branch` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `changesets_changeset_id` (`changeset_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `changesets`
--

DROP TABLE IF EXISTS `changesets`;
CREATE TABLE IF NOT EXISTS `changesets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `repository_id` int(11) NOT NULL,
  `revision` varchar(255) NOT NULL,
  `committer` varchar(255) DEFAULT NULL,
  `committed_on` datetime NOT NULL,
  `comments` longtext,
  `commit_date` date DEFAULT NULL,
  `scmid` varchar(255) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `changesets_repos_rev` (`repository_id`,`revision`),
  KEY `index_changesets_on_user_id` (`user_id`),
  KEY `index_changesets_on_repository_id` (`repository_id`),
  KEY `index_changesets_on_committed_on` (`committed_on`),
  KEY `changesets_repos_scmid` (`repository_id`,`scmid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `changesets_issues`
--

DROP TABLE IF EXISTS `changesets_issues`;
CREATE TABLE IF NOT EXISTS `changesets_issues` (
  `changeset_id` int(11) NOT NULL,
  `issue_id` int(11) NOT NULL,
  UNIQUE KEY `changesets_issues_ids` (`changeset_id`,`issue_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `changeset_parents`
--

DROP TABLE IF EXISTS `changeset_parents`;
CREATE TABLE IF NOT EXISTS `changeset_parents` (
  `changeset_id` int(11) NOT NULL,
  `parent_id` int(11) NOT NULL,
  KEY `changeset_parents_changeset_ids` (`changeset_id`),
  KEY `changeset_parents_parent_ids` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `comments`
--

DROP TABLE IF EXISTS `comments`;
CREATE TABLE IF NOT EXISTS `comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `commented_type` varchar(30) NOT NULL DEFAULT '',
  `commented_id` int(11) NOT NULL DEFAULT '0',
  `author_id` int(11) NOT NULL DEFAULT '0',
  `comments` text,
  `created_on` datetime NOT NULL,
  `updated_on` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_comments_on_commented_id_and_commented_type` (`commented_id`,`commented_type`),
  KEY `index_comments_on_author_id` (`author_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `custom_fields`
--

DROP TABLE IF EXISTS `custom_fields`;
CREATE TABLE IF NOT EXISTS `custom_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(30) NOT NULL DEFAULT '',
  `name` varchar(30) NOT NULL DEFAULT '',
  `field_format` varchar(30) NOT NULL DEFAULT '',
  `possible_values` text,
  `regexp` varchar(255) DEFAULT '',
  `min_length` int(11) DEFAULT NULL,
  `max_length` int(11) DEFAULT NULL,
  `is_required` tinyint(1) NOT NULL DEFAULT '0',
  `is_for_all` tinyint(1) NOT NULL DEFAULT '0',
  `is_filter` tinyint(1) NOT NULL DEFAULT '0',
  `position` int(11) DEFAULT NULL,
  `searchable` tinyint(1) DEFAULT '0',
  `default_value` text,
  `editable` tinyint(1) DEFAULT '1',
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `multiple` tinyint(1) DEFAULT '0',
  `format_store` text,
  `description` text,
  PRIMARY KEY (`id`),
  KEY `index_custom_fields_on_id_and_type` (`id`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `custom_fields`
--

INSERT INTO `custom_fields` (`id`, `type`, `name`, `field_format`, `possible_values`, `regexp`, `min_length`, `max_length`, `is_required`, `is_for_all`, `is_filter`, `position`, `searchable`, `default_value`, `editable`, `visible`, `multiple`, `format_store`, `description`) VALUES
(1, 'IssueCustomField', 'DatosIncidencia', 'string', NULL, '', NULL, NULL, 0, 1, 0, 1, 0, '', 1, 1, 0, '--- !ruby/hash:ActiveSupport::HashWithIndifferentAccess\ntext_formatting: \'\'\nurl_pattern: \'\'\n', ''),
(2, 'IssueCustomField', 'Presupuesto', 'string', NULL, '', NULL, NULL, 0, 1, 0, 2, 0, '', 1, 1, 0, '--- !ruby/hash:ActiveSupport::HashWithIndifferentAccess\ntext_formatting: \'\'\nurl_pattern: \'\'\n', '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `custom_fields_projects`
--

DROP TABLE IF EXISTS `custom_fields_projects`;
CREATE TABLE IF NOT EXISTS `custom_fields_projects` (
  `custom_field_id` int(11) NOT NULL DEFAULT '0',
  `project_id` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `index_custom_fields_projects_on_custom_field_id_and_project_id` (`custom_field_id`,`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `custom_fields_projects`
--

INSERT INTO `custom_fields_projects` (`custom_field_id`, `project_id`) VALUES
(1, 1),
(1, 2),
(1, 3),
(2, 1),
(2, 2),
(2, 3);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `custom_fields_roles`
--

DROP TABLE IF EXISTS `custom_fields_roles`;
CREATE TABLE IF NOT EXISTS `custom_fields_roles` (
  `custom_field_id` int(11) NOT NULL,
  `role_id` int(11) NOT NULL,
  UNIQUE KEY `custom_fields_roles_ids` (`custom_field_id`,`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `custom_fields_trackers`
--

DROP TABLE IF EXISTS `custom_fields_trackers`;
CREATE TABLE IF NOT EXISTS `custom_fields_trackers` (
  `custom_field_id` int(11) NOT NULL DEFAULT '0',
  `tracker_id` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `index_custom_fields_trackers_on_custom_field_id_and_tracker_id` (`custom_field_id`,`tracker_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `custom_fields_trackers`
--

INSERT INTO `custom_fields_trackers` (`custom_field_id`, `tracker_id`) VALUES
(1, 3),
(2, 6);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `custom_field_enumerations`
--

DROP TABLE IF EXISTS `custom_field_enumerations`;
CREATE TABLE IF NOT EXISTS `custom_field_enumerations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `custom_field_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `position` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `custom_values`
--

DROP TABLE IF EXISTS `custom_values`;
CREATE TABLE IF NOT EXISTS `custom_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `customized_type` varchar(30) NOT NULL DEFAULT '',
  `customized_id` int(11) NOT NULL DEFAULT '0',
  `custom_field_id` int(11) NOT NULL DEFAULT '0',
  `value` text,
  PRIMARY KEY (`id`),
  KEY `custom_values_customized` (`customized_type`,`customized_id`),
  KEY `index_custom_values_on_custom_field_id` (`custom_field_id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `custom_values`
--

INSERT INTO `custom_values` (`id`, `customized_type`, `customized_id`, `custom_field_id`, `value`) VALUES
(10, 'Issue', 257, 2, 'prueba'),
(11, 'Issue', 260, 2, ''),
(12, 'Issue', 261, 2, ''),
(13, 'Issue', 263, 2, 'presupuesto de 20 euros'),
(14, 'Issue', 264, 2, 'presupuesto de prueba 1250 euros'),
(15, 'Issue', 266, 2, 'prueba'),
(16, 'Issue', 276, 1, ''),
(17, 'Issue', 278, 1, ''),
(19, 'Issue', 280, 1, ''),
(20, 'Issue', 281, 1, ''),
(21, 'Issue', 282, 1, ''),
(22, 'Issue', 283, 1, 'prueba'),
(23, 'Issue', 284, 1, 'prueba'),
(24, 'Issue', 285, 1, 'prueba'),
(25, 'Issue', 286, 1, ''),
(26, 'Issue', 287, 2, '200');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `documents`
--

DROP TABLE IF EXISTS `documents`;
CREATE TABLE IF NOT EXISTS `documents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  `created_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `documents_project_id` (`project_id`),
  KEY `index_documents_on_category_id` (`category_id`),
  KEY `index_documents_on_created_on` (`created_on`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `email_addresses`
--

DROP TABLE IF EXISTS `email_addresses`;
CREATE TABLE IF NOT EXISTS `email_addresses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `address` varchar(255) NOT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `notify` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL,
  `updated_on` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_email_addresses_on_user_id` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `email_addresses`
--

INSERT INTO `email_addresses` (`id`, `user_id`, `address`, `is_default`, `notify`, `created_on`, `updated_on`) VALUES
(1, 1, 'redmine.tfm@gmail.com', 1, 1, '2016-10-26 17:54:37', '2016-10-26 17:58:14'),
(40, 44, 'antonio@mail.es', 1, 1, '2016-11-13 20:13:45', '2016-11-13 20:13:45'),
(49, 53, 'pepe@gmail.com', 1, 1, '2016-11-25 00:22:27', '2016-11-25 00:22:27'),
(50, 54, 'pepepep@hotmail.com', 1, 1, '2016-11-25 00:23:13', '2016-11-25 00:23:13'),
(51, 55, 'pepote@gmail.com', 1, 1, '2016-11-25 00:34:35', '2016-11-25 00:34:35'),
(52, 56, 'jdkwj@asdh.es', 1, 1, '2016-11-27 16:16:32', '2016-11-27 16:16:32');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `enabled_modules`
--

DROP TABLE IF EXISTS `enabled_modules`;
CREATE TABLE IF NOT EXISTS `enabled_modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `enabled_modules_project_id` (`project_id`)
) ENGINE=InnoDB AUTO_INCREMENT=61 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `enabled_modules`
--

INSERT INTO `enabled_modules` (`id`, `project_id`, `name`) VALUES
(1, 1, 'issue_tracking'),
(2, 1, 'time_tracking'),
(3, 1, 'news'),
(4, 1, 'documents'),
(5, 1, 'files'),
(6, 1, 'wiki'),
(7, 1, 'repository'),
(8, 1, 'boards'),
(9, 1, 'calendar'),
(10, 1, 'gantt'),
(11, 2, 'issue_tracking'),
(12, 2, 'time_tracking'),
(13, 2, 'news'),
(14, 2, 'documents'),
(15, 2, 'files'),
(16, 2, 'wiki'),
(17, 2, 'repository'),
(18, 2, 'boards'),
(19, 2, 'calendar'),
(20, 2, 'gantt'),
(21, 3, 'issue_tracking'),
(22, 3, 'time_tracking'),
(23, 3, 'news'),
(24, 3, 'documents'),
(25, 3, 'files'),
(26, 3, 'wiki'),
(27, 3, 'repository'),
(28, 3, 'boards'),
(29, 3, 'calendar'),
(30, 3, 'gantt'),
(31, 4, 'issue_tracking'),
(32, 4, 'time_tracking'),
(33, 4, 'news'),
(34, 4, 'documents'),
(35, 4, 'files'),
(36, 4, 'wiki'),
(37, 4, 'repository'),
(38, 4, 'boards'),
(39, 4, 'calendar'),
(40, 4, 'gantt'),
(41, 5, 'issue_tracking'),
(42, 5, 'time_tracking'),
(43, 5, 'news'),
(44, 5, 'documents'),
(45, 5, 'files'),
(46, 5, 'wiki'),
(47, 5, 'repository'),
(48, 5, 'boards'),
(49, 5, 'calendar'),
(50, 5, 'gantt'),
(51, 6, 'issue_tracking'),
(52, 6, 'time_tracking'),
(53, 6, 'news'),
(54, 6, 'documents'),
(55, 6, 'files'),
(56, 6, 'wiki'),
(57, 6, 'repository'),
(58, 6, 'boards'),
(59, 6, 'calendar'),
(60, 6, 'gantt');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `enumerations`
--

DROP TABLE IF EXISTS `enumerations`;
CREATE TABLE IF NOT EXISTS `enumerations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  `position` int(11) DEFAULT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(255) DEFAULT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `project_id` int(11) DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `position_name` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_enumerations_on_project_id` (`project_id`),
  KEY `index_enumerations_on_id_and_type` (`id`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `enumerations`
--

INSERT INTO `enumerations` (`id`, `name`, `position`, `is_default`, `type`, `active`, `project_id`, `parent_id`, `position_name`) VALUES
(1, 'Baja', 1, 0, 'IssuePriority', 1, NULL, NULL, 'lowest'),
(2, 'Normal', 2, 1, 'IssuePriority', 1, NULL, NULL, 'default'),
(3, 'Alta', 3, 0, 'IssuePriority', 1, NULL, NULL, 'high3'),
(4, 'Urgente', 4, 0, 'IssuePriority', 1, NULL, NULL, 'high2'),
(5, 'Inmediata', 5, 0, 'IssuePriority', 1, NULL, NULL, 'highest'),
(6, 'Documentación de usuario', 1, 0, 'DocumentCategory', 1, NULL, NULL, NULL),
(7, 'Documentación técnica', 2, 0, 'DocumentCategory', 1, NULL, NULL, NULL),
(8, 'Diseño', 1, 0, 'TimeEntryActivity', 1, NULL, NULL, NULL),
(9, 'Desarrollo', 2, 0, 'TimeEntryActivity', 1, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `groups_users`
--

DROP TABLE IF EXISTS `groups_users`;
CREATE TABLE IF NOT EXISTS `groups_users` (
  `group_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  UNIQUE KEY `groups_users_ids` (`group_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `imports`
--

DROP TABLE IF EXISTS `imports`;
CREATE TABLE IF NOT EXISTS `imports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) DEFAULT NULL,
  `user_id` int(11) NOT NULL,
  `filename` varchar(255) DEFAULT NULL,
  `settings` text,
  `total_items` int(11) DEFAULT NULL,
  `finished` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `import_items`
--

DROP TABLE IF EXISTS `import_items`;
CREATE TABLE IF NOT EXISTS `import_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `import_id` int(11) NOT NULL,
  `position` int(11) NOT NULL,
  `obj_id` int(11) DEFAULT NULL,
  `message` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `issues`
--

DROP TABLE IF EXISTS `issues`;
CREATE TABLE IF NOT EXISTS `issues` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tracker_id` int(11) NOT NULL,
  `project_id` int(11) NOT NULL,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  `due_date` date DEFAULT NULL,
  `category_id` int(11) DEFAULT NULL,
  `status_id` int(11) NOT NULL,
  `assigned_to_id` int(11) DEFAULT NULL,
  `priority_id` int(11) NOT NULL,
  `fixed_version_id` int(11) DEFAULT NULL,
  `author_id` int(11) NOT NULL,
  `lock_version` int(11) NOT NULL DEFAULT '0',
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  `done_ratio` int(11) NOT NULL DEFAULT '0',
  `estimated_hours` float DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `root_id` int(11) DEFAULT NULL,
  `lft` int(11) DEFAULT NULL,
  `rgt` int(11) DEFAULT NULL,
  `is_private` tinyint(1) NOT NULL DEFAULT '0',
  `closed_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `issues_project_id` (`project_id`),
  KEY `index_issues_on_status_id` (`status_id`),
  KEY `index_issues_on_category_id` (`category_id`),
  KEY `index_issues_on_assigned_to_id` (`assigned_to_id`),
  KEY `index_issues_on_fixed_version_id` (`fixed_version_id`),
  KEY `index_issues_on_tracker_id` (`tracker_id`),
  KEY `index_issues_on_priority_id` (`priority_id`),
  KEY `index_issues_on_author_id` (`author_id`),
  KEY `index_issues_on_created_on` (`created_on`),
  KEY `index_issues_on_root_id_and_lft_and_rgt` (`root_id`,`lft`,`rgt`)
) ENGINE=InnoDB AUTO_INCREMENT=288 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `issues`
--

INSERT INTO `issues` (`id`, `tracker_id`, `project_id`, `subject`, `description`, `due_date`, `category_id`, `status_id`, `assigned_to_id`, `priority_id`, `fixed_version_id`, `author_id`, `lock_version`, `created_on`, `updated_on`, `start_date`, `done_ratio`, `estimated_hours`, `parent_id`, `root_id`, `lft`, `rgt`, `is_private`, `closed_on`) VALUES
(257, 6, 1, 'prueba desarrollo responsable', 'prueba desarrollo responsable', NULL, NULL, 13, NULL, 4, NULL, 54, 2, '2016-11-25 00:57:15', '2016-12-01 17:24:18', '2016-11-25', 0, NULL, NULL, 257, 1, 2, 0, NULL),
(258, 1, 2, 'prueba incidencia', 'prueba incidencia', NULL, NULL, 1, NULL, 4, NULL, 53, 0, '2016-11-25 00:58:45', '2016-11-25 00:58:45', '2016-11-25', 0, NULL, NULL, 258, 1, 2, 0, NULL),
(259, 1, 2, 'prueba incidencia2', 'prueba incidencia2', NULL, NULL, 1, NULL, 4, NULL, 53, 0, '2016-11-25 00:59:00', '2016-11-25 00:59:00', '2016-11-25', 0, NULL, NULL, 259, 1, 2, 0, NULL),
(260, 6, 2, 'prueba responsable1', 'prueba responsable1', NULL, NULL, 10, NULL, 4, NULL, 55, 0, '2016-11-25 01:01:14', '2016-11-25 01:01:14', '2016-11-25', 0, NULL, NULL, 260, 1, 2, 0, NULL),
(261, 6, 2, 'prueba responsable1 2', 'prueba responsable 1 2', NULL, NULL, 13, NULL, 4, NULL, 55, 2, '2016-11-25 01:01:32', '2016-11-26 23:06:28', '2016-11-25', 0, NULL, NULL, 261, 1, 2, 0, NULL),
(262, 8, 5, 'Pregunta 3', 'Respuesta 3', NULL, NULL, 1, NULL, 4, NULL, 1, 2, '2016-11-27 12:58:00', '2017-01-05 09:14:52', '2016-11-27', 0, NULL, NULL, 262, 1, 2, 0, NULL),
(263, 6, 1, 'prueba desarrollo aceptar', 'prueba desarrollo aceptar', NULL, NULL, 11, NULL, 4, NULL, 54, 2, '2016-11-27 15:49:56', '2016-11-27 15:54:59', '2016-11-27', 0, NULL, NULL, 263, 1, 2, 0, NULL),
(264, 6, 1, 'prueba desarrollo rechazar', 'prueba desarrollo rechazar', NULL, NULL, 13, NULL, 4, NULL, 54, 2, '2016-11-27 15:50:12', '2016-11-27 15:55:08', '2016-11-27', 0, NULL, NULL, 264, 1, 2, 0, NULL),
(265, 7, 1, 'prueba', 'prueba', NULL, NULL, 1, NULL, 4, NULL, 54, 0, '2016-11-27 15:58:29', '2016-11-27 15:58:29', '2016-11-27', 0, NULL, NULL, 265, 1, 2, 0, NULL),
(266, 6, 2, 'prueba', 'prueba', NULL, NULL, 7, NULL, 4, NULL, 55, 1, '2016-11-27 16:21:53', '2016-12-01 17:21:17', '2016-11-27', 0, NULL, NULL, 266, 1, 2, 0, NULL),
(271, 7, 6, 'prueba sugerencia', 'prueba sugerencia', NULL, NULL, 1, NULL, 4, NULL, 54, 0, '2016-12-01 12:08:03', '2016-12-01 12:08:03', '2016-12-01', 0, NULL, NULL, 271, 1, 2, 0, NULL),
(272, 8, 5, 'Pregunta 2', 'Respuesta 2', NULL, NULL, 1, NULL, 2, NULL, 1, 3, '2016-12-01 12:33:43', '2017-01-05 09:14:29', '2016-12-01', 0, NULL, NULL, 272, 1, 2, 0, NULL),
(273, 8, 5, 'Pregunta 1', 'Respuesta 1', NULL, NULL, 1, NULL, 2, NULL, 1, 1, '2016-12-01 12:40:02', '2016-12-01 12:40:10', '2016-12-01', 0, NULL, NULL, 273, 1, 2, 0, NULL),
(274, 9, 5, 'Manual de usuario', '', NULL, NULL, 1, NULL, 2, NULL, 1, 1, '2016-12-01 17:32:44', '2016-12-01 17:59:31', '2016-12-01', 0, NULL, NULL, 274, 1, 2, 0, NULL),
(275, 7, 6, 'prueba sugerencia 2', 'sugerencia', NULL, NULL, 1, NULL, 4, NULL, 53, 0, '2016-12-01 19:32:07', '2016-12-01 19:32:07', '2016-12-01', 0, NULL, NULL, 275, 1, 2, 0, NULL),
(276, 3, 1, 'prueba', 'prueba', NULL, NULL, 14, NULL, 4, NULL, 54, 0, '2017-01-05 09:25:48', '2017-01-05 09:25:48', '2017-01-05', 0, NULL, NULL, 276, 1, 2, 0, NULL),
(277, 1, 1, 'prueba', 'prueba', NULL, NULL, 14, NULL, 4, NULL, 54, 0, '2017-01-05 09:26:03', '2017-01-05 09:26:03', '2017-01-05', 0, NULL, NULL, 277, 1, 2, 0, NULL),
(278, 3, 1, 'prueba', 'prueba', NULL, NULL, 14, NULL, 4, NULL, 54, 0, '2017-01-05 09:32:16', '2017-01-05 09:32:16', '2017-01-05', 0, NULL, NULL, 278, 1, 2, 0, NULL),
(280, 3, 2, 'prueba', 'prueba', NULL, NULL, 14, NULL, 4, NULL, 53, 0, '2017-01-05 09:35:56', '2017-01-05 09:35:56', '2017-01-05', 0, NULL, NULL, 280, 1, 2, 0, NULL),
(281, 3, 2, 'hgfghf', 'gfhfghf', NULL, NULL, 14, NULL, 4, NULL, 53, 0, '2017-01-05 09:57:41', '2017-01-05 09:57:41', '2017-01-05', 0, NULL, NULL, 281, 1, 2, 0, NULL),
(282, 3, 2, 'prueba', 'prueba', NULL, NULL, 14, NULL, 4, NULL, 53, 0, '2017-01-05 10:00:14', '2017-01-05 10:00:14', '2017-01-05', 0, NULL, NULL, 282, 1, 2, 0, NULL),
(283, 3, 1, 'prueba', 'prueba', NULL, NULL, 14, NULL, 4, NULL, 54, 1, '2017-01-05 10:06:35', '2017-01-05 10:07:15', '2017-01-05', 0, NULL, NULL, 283, 1, 2, 0, NULL),
(284, 3, 1, 'prueba', 'prueba', NULL, NULL, 14, NULL, 4, NULL, 54, 1, '2017-01-05 10:08:06', '2017-01-05 10:11:28', '2017-01-05', 0, NULL, NULL, 284, 1, 2, 0, NULL),
(285, 3, 1, 'prueba', 'prueba', NULL, NULL, 14, NULL, 4, NULL, 54, 1, '2017-01-05 10:15:29', '2017-01-05 10:17:15', '2017-01-05', 0, NULL, NULL, 285, 1, 2, 0, NULL),
(286, 3, 1, 'prueba', 'prueba', NULL, NULL, 14, NULL, 4, NULL, 54, 0, '2017-01-05 10:17:56', '2017-01-05 10:17:56', '2017-01-05', 0, NULL, NULL, 286, 1, 2, 0, NULL),
(287, 6, 1, 'prueba', 'prueba', NULL, NULL, 7, NULL, 4, NULL, 54, 2, '2017-01-05 20:17:56', '2017-01-05 20:22:34', '2017-01-05', 0, NULL, NULL, 287, 1, 2, 0, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `issue_categories`
--

DROP TABLE IF EXISTS `issue_categories`;
CREATE TABLE IF NOT EXISTS `issue_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(60) NOT NULL DEFAULT '',
  `assigned_to_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `issue_categories_project_id` (`project_id`),
  KEY `index_issue_categories_on_assigned_to_id` (`assigned_to_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `issue_relations`
--

DROP TABLE IF EXISTS `issue_relations`;
CREATE TABLE IF NOT EXISTS `issue_relations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `issue_from_id` int(11) NOT NULL,
  `issue_to_id` int(11) NOT NULL,
  `relation_type` varchar(255) NOT NULL DEFAULT '',
  `delay` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_issue_relations_on_issue_from_id_and_issue_to_id` (`issue_from_id`,`issue_to_id`),
  KEY `index_issue_relations_on_issue_from_id` (`issue_from_id`),
  KEY `index_issue_relations_on_issue_to_id` (`issue_to_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `issue_statuses`
--

DROP TABLE IF EXISTS `issue_statuses`;
CREATE TABLE IF NOT EXISTS `issue_statuses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  `is_closed` tinyint(1) NOT NULL DEFAULT '0',
  `position` int(11) DEFAULT NULL,
  `default_done_ratio` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_issue_statuses_on_position` (`position`),
  KEY `index_issue_statuses_on_is_closed` (`is_closed`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `issue_statuses`
--

INSERT INTO `issue_statuses` (`id`, `name`, `is_closed`, `position`, `default_done_ratio`) VALUES
(1, 'Nueva', 0, 1, NULL),
(2, 'En curso', 0, 2, NULL),
(3, 'Resuelta', 0, 3, NULL),
(4, 'Comentarios', 0, 4, NULL),
(5, 'Cerrada', 1, 5, NULL),
(6, 'Rechazada', 1, 6, NULL),
(7, 'Pendiente de aceptacion', 0, 7, NULL),
(8, 'En desarrollo', 0, 8, NULL),
(9, 'Solucionada', 0, 9, NULL),
(10, 'Presupuesto solicitado', 0, 10, NULL),
(11, 'Presupuesto aceptado', 0, 11, NULL),
(12, 'Finalizado', 0, 12, NULL),
(13, 'Presupuesto rechazado', 0, 13, NULL),
(14, 'Registrada', 0, 14, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `journals`
--

DROP TABLE IF EXISTS `journals`;
CREATE TABLE IF NOT EXISTS `journals` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `journalized_id` int(11) NOT NULL DEFAULT '0',
  `journalized_type` varchar(30) NOT NULL DEFAULT '',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `notes` text,
  `created_on` datetime NOT NULL,
  `private_notes` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `journals_journalized_id` (`journalized_id`,`journalized_type`),
  KEY `index_journals_on_user_id` (`user_id`),
  KEY `index_journals_on_journalized_id` (`journalized_id`),
  KEY `index_journals_on_created_on` (`created_on`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `journals`
--

INSERT INTO `journals` (`id`, `journalized_id`, `journalized_type`, `user_id`, `notes`, `created_on`, `private_notes`) VALUES
(10, 261, 'Issue', 1, '', '2016-11-26 23:05:42', 0),
(11, 261, 'Issue', 55, '', '2016-11-26 23:06:28', 0),
(12, 264, 'Issue', 1, '', '2016-11-27 15:52:50', 0),
(13, 263, 'Issue', 1, '', '2016-11-27 15:53:15', 0),
(14, 263, 'Issue', 54, '', '2016-11-27 15:54:59', 0),
(15, 264, 'Issue', 54, '', '2016-11-27 15:55:08', 0),
(16, 272, 'Issue', 1, '', '2016-12-01 12:34:11', 0),
(17, 273, 'Issue', 1, '', '2016-12-01 12:40:10', 0),
(18, 272, 'Issue', 1, '', '2016-12-01 12:40:52', 0),
(19, 262, 'Issue', 1, '', '2016-12-01 12:41:04', 0),
(20, 266, 'Issue', 1, '', '2016-12-01 17:21:17', 0),
(21, 257, 'Issue', 1, '', '2016-12-01 17:22:00', 0),
(22, 257, 'Issue', 54, '', '2016-12-01 17:24:18', 0),
(23, 274, 'Issue', 1, '', '2016-12-01 17:59:31', 0),
(24, 272, 'Issue', 1, '', '2017-01-05 09:14:29', 0),
(25, 262, 'Issue', 1, '', '2017-01-05 09:14:52', 0),
(26, 283, 'Issue', 54, '', '2017-01-05 10:07:15', 0),
(27, 284, 'Issue', 54, '', '2017-01-05 10:11:28', 0),
(28, 285, 'Issue', 54, '', '2017-01-05 10:17:15', 0),
(29, 287, 'Issue', 1, '', '2017-01-05 20:21:54', 0),
(30, 287, 'Issue', 1, '', '2017-01-05 20:22:34', 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `journal_details`
--

DROP TABLE IF EXISTS `journal_details`;
CREATE TABLE IF NOT EXISTS `journal_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `journal_id` int(11) NOT NULL DEFAULT '0',
  `property` varchar(30) NOT NULL DEFAULT '',
  `prop_key` varchar(30) NOT NULL DEFAULT '',
  `old_value` text,
  `value` text,
  PRIMARY KEY (`id`),
  KEY `journal_details_journal_id` (`journal_id`)
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `journal_details`
--

INSERT INTO `journal_details` (`id`, `journal_id`, `property`, `prop_key`, `old_value`, `value`) VALUES
(10, 10, 'attr', 'status_id', '10', '7'),
(11, 11, 'attr', 'status_id', '7', '13'),
(12, 12, 'attr', 'status_id', '10', '7'),
(13, 12, 'cf', '2', '', 'presupuesto de prueba 1250 euros'),
(14, 13, 'attr', 'status_id', '10', '7'),
(15, 13, 'cf', '2', '', 'presupuesto de 20 euros'),
(16, 14, 'attr', 'status_id', '7', '11'),
(17, 15, 'attr', 'status_id', '7', '13'),
(18, 16, 'attr', 'description', 'Respuesa 1', 'Respuesta 1'),
(19, 17, 'attr', 'tracker_id', '1', '8'),
(20, 17, 'attr', 'status_id', '14', '1'),
(21, 18, 'attr', 'tracker_id', '1', '8'),
(22, 18, 'attr', 'status_id', '14', '1'),
(23, 19, 'attr', 'tracker_id', '1', '8'),
(24, 20, 'attr', 'status_id', '10', '7'),
(25, 20, 'cf', '2', '', 'prueba'),
(26, 21, 'attr', 'status_id', '10', '7'),
(27, 21, 'cf', '2', '', 'prueba'),
(28, 22, 'attr', 'status_id', '7', '13'),
(29, 23, 'attr', 'tracker_id', '2', '9'),
(30, 24, 'attr', 'subject', 'Pregunta 1', 'Pregunta 2'),
(31, 24, 'attr', 'description', 'Respuesta 1', 'Respuesta 2'),
(32, 25, 'attr', 'subject', 'prueba', 'Pregunta 3'),
(33, 25, 'attr', 'description', 'prueba', 'Respuesta 3'),
(34, 26, 'cf', '1', '', 'prueba'),
(35, 27, 'cf', '1', '', 'prueba'),
(36, 28, 'cf', '1', '', 'prueba'),
(37, 29, 'cf', '2', '', '200'),
(38, 30, 'attr', 'status_id', '10', '7');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `members`
--

DROP TABLE IF EXISTS `members`;
CREATE TABLE IF NOT EXISTS `members` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `project_id` int(11) NOT NULL DEFAULT '0',
  `created_on` datetime DEFAULT NULL,
  `mail_notification` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_members_on_user_id_and_project_id` (`user_id`,`project_id`),
  KEY `index_members_on_user_id` (`user_id`),
  KEY `index_members_on_project_id` (`project_id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `members`
--

INSERT INTO `members` (`id`, `user_id`, `project_id`, `created_on`, `mail_notification`) VALUES
(8, 44, 3, '2016-11-13 20:13:45', 0),
(11, 53, 2, '2016-11-25 00:22:27', 0),
(12, 54, 1, '2016-11-25 00:23:13', 0),
(13, 55, 2, '2016-11-25 00:34:35', 0),
(14, 56, 3, '2016-11-27 16:16:32', 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `member_roles`
--

DROP TABLE IF EXISTS `member_roles`;
CREATE TABLE IF NOT EXISTS `member_roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_id` int(11) NOT NULL,
  `role_id` int(11) NOT NULL,
  `inherited_from` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_member_roles_on_member_id` (`member_id`),
  KEY `index_member_roles_on_role_id` (`role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `member_roles`
--

INSERT INTO `member_roles` (`id`, `member_id`, `role_id`, `inherited_from`) VALUES
(11, 8, 7, NULL),
(12, 11, 6, NULL),
(13, 12, 7, NULL),
(14, 13, 7, NULL),
(15, 14, 6, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `messages`
--

DROP TABLE IF EXISTS `messages`;
CREATE TABLE IF NOT EXISTS `messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `board_id` int(11) NOT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `content` text,
  `author_id` int(11) DEFAULT NULL,
  `replies_count` int(11) NOT NULL DEFAULT '0',
  `last_reply_id` int(11) DEFAULT NULL,
  `created_on` datetime NOT NULL,
  `updated_on` datetime NOT NULL,
  `locked` tinyint(1) DEFAULT '0',
  `sticky` int(11) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `messages_board_id` (`board_id`),
  KEY `messages_parent_id` (`parent_id`),
  KEY `index_messages_on_last_reply_id` (`last_reply_id`),
  KEY `index_messages_on_author_id` (`author_id`),
  KEY `index_messages_on_created_on` (`created_on`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `news`
--

DROP TABLE IF EXISTS `news`;
CREATE TABLE IF NOT EXISTS `news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) DEFAULT NULL,
  `title` varchar(60) NOT NULL DEFAULT '',
  `summary` varchar(255) DEFAULT '',
  `description` text,
  `author_id` int(11) NOT NULL DEFAULT '0',
  `created_on` datetime DEFAULT NULL,
  `comments_count` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `news_project_id` (`project_id`),
  KEY `index_news_on_author_id` (`author_id`),
  KEY `index_news_on_created_on` (`created_on`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `open_id_authentication_associations`
--

DROP TABLE IF EXISTS `open_id_authentication_associations`;
CREATE TABLE IF NOT EXISTS `open_id_authentication_associations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `issued` int(11) DEFAULT NULL,
  `lifetime` int(11) DEFAULT NULL,
  `handle` varchar(255) DEFAULT NULL,
  `assoc_type` varchar(255) DEFAULT NULL,
  `server_url` blob,
  `secret` blob,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `open_id_authentication_nonces`
--

DROP TABLE IF EXISTS `open_id_authentication_nonces`;
CREATE TABLE IF NOT EXISTS `open_id_authentication_nonces` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `timestamp` int(11) NOT NULL,
  `server_url` varchar(255) DEFAULT NULL,
  `salt` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `projects`
--

DROP TABLE IF EXISTS `projects`;
CREATE TABLE IF NOT EXISTS `projects` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  `homepage` varchar(255) DEFAULT '',
  `is_public` tinyint(1) NOT NULL DEFAULT '1',
  `parent_id` int(11) DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  `identifier` varchar(255) DEFAULT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  `lft` int(11) DEFAULT NULL,
  `rgt` int(11) DEFAULT NULL,
  `inherit_members` tinyint(1) NOT NULL DEFAULT '0',
  `default_version_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_projects_on_lft` (`lft`),
  KEY `index_projects_on_rgt` (`rgt`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `projects`
--

INSERT INTO `projects` (`id`, `name`, `description`, `homepage`, `is_public`, `parent_id`, `created_on`, `updated_on`, `identifier`, `status`, `lft`, `rgt`, `inherit_members`, `default_version_id`) VALUES
(1, 'Empresa2', '', '', 1, NULL, '2016-11-04 21:09:19', '2016-11-13 20:31:47', 'empresa', 1, 7, 8, 0, NULL),
(2, 'Empresa1', '', '', 1, NULL, '2016-11-04 22:54:42', '2016-11-13 20:31:23', 'empresa', 1, 5, 6, 0, NULL),
(3, 'Empresa3', '', '', 1, NULL, '2016-11-13 20:09:47', '2016-11-13 20:31:59', 'empresa', 1, 9, 10, 0, NULL),
(5, 'Interno', '', '', 1, NULL, '2016-11-19 18:35:39', '2016-12-01 10:10:44', 'interno', 1, 11, 12, 0, NULL),
(6, 'Buzon', '', '', 1, NULL, '2016-12-01 12:01:28', '2016-12-01 12:01:28', 'buzon', 1, 1, 2, 0, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `projects_trackers`
--

DROP TABLE IF EXISTS `projects_trackers`;
CREATE TABLE IF NOT EXISTS `projects_trackers` (
  `project_id` int(11) NOT NULL DEFAULT '0',
  `tracker_id` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `projects_trackers_unique` (`project_id`,`tracker_id`),
  KEY `projects_trackers_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `projects_trackers`
--

INSERT INTO `projects_trackers` (`project_id`, `tracker_id`) VALUES
(1, 1),
(1, 2),
(1, 3),
(1, 6),
(2, 1),
(2, 2),
(2, 3),
(2, 6),
(3, 1),
(3, 2),
(3, 3),
(3, 6),
(4, 1),
(4, 2),
(4, 3),
(4, 6),
(4, 7),
(5, 1),
(5, 2),
(5, 3),
(5, 6),
(5, 7),
(5, 8),
(5, 9),
(6, 1),
(6, 2),
(6, 3),
(6, 6),
(6, 7),
(6, 8);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `queries`
--

DROP TABLE IF EXISTS `queries`;
CREATE TABLE IF NOT EXISTS `queries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) DEFAULT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `filters` text,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `column_names` text,
  `sort_criteria` text,
  `group_by` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `visibility` int(11) DEFAULT '0',
  `options` text,
  PRIMARY KEY (`id`),
  KEY `index_queries_on_project_id` (`project_id`),
  KEY `index_queries_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `queries_roles`
--

DROP TABLE IF EXISTS `queries_roles`;
CREATE TABLE IF NOT EXISTS `queries_roles` (
  `query_id` int(11) NOT NULL,
  `role_id` int(11) NOT NULL,
  UNIQUE KEY `queries_roles_ids` (`query_id`,`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `repositories`
--

DROP TABLE IF EXISTS `repositories`;
CREATE TABLE IF NOT EXISTS `repositories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL DEFAULT '0',
  `url` varchar(255) NOT NULL DEFAULT '',
  `login` varchar(60) DEFAULT '',
  `password` varchar(255) DEFAULT '',
  `root_url` varchar(255) DEFAULT '',
  `type` varchar(255) DEFAULT NULL,
  `path_encoding` varchar(64) DEFAULT NULL,
  `log_encoding` varchar(64) DEFAULT NULL,
  `extra_info` text,
  `identifier` varchar(255) DEFAULT NULL,
  `is_default` tinyint(1) DEFAULT '0',
  `created_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_repositories_on_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `roles`
--

DROP TABLE IF EXISTS `roles`;
CREATE TABLE IF NOT EXISTS `roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  `position` int(11) DEFAULT NULL,
  `assignable` tinyint(1) DEFAULT '1',
  `builtin` int(11) NOT NULL DEFAULT '0',
  `permissions` text,
  `issues_visibility` varchar(30) NOT NULL DEFAULT 'default',
  `users_visibility` varchar(30) NOT NULL DEFAULT 'all',
  `time_entries_visibility` varchar(30) NOT NULL DEFAULT 'all',
  `all_roles_managed` tinyint(1) NOT NULL DEFAULT '1',
  `settings` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `roles`
--

INSERT INTO `roles` (`id`, `name`, `position`, `assignable`, `builtin`, `permissions`, `issues_visibility`, `users_visibility`, `time_entries_visibility`, `all_roles_managed`, `settings`) VALUES
(1, 'Non member', 0, 1, 1, '---\n- :view_issues\n- :add_issues\n- :add_issue_notes\n- :save_queries\n- :view_gantt\n- :view_calendar\n- :view_time_entries\n- :comment_news\n- :view_documents\n- :view_wiki_pages\n- :view_wiki_edits\n- :add_messages\n- :view_files\n- :browse_repository\n- :view_changesets\n', 'default', 'all', 'all', 1, NULL),
(2, 'Anonymous', 0, 1, 2, '---\n- :view_issues\n- :view_gantt\n- :view_calendar\n- :view_time_entries\n- :view_documents\n- :view_wiki_pages\n- :view_wiki_edits\n- :view_files\n- :browse_repository\n- :view_changesets\n', 'default', 'all', 'all', 1, NULL),
(3, 'Jefe de proyecto', 1, 1, 0, '---\n- :add_project\n- :edit_project\n- :close_project\n- :select_project_modules\n- :manage_members\n- :manage_versions\n- :add_subprojects\n- :view_issues\n- :add_issues\n- :edit_issues\n- :copy_issues\n- :manage_issue_relations\n- :manage_subtasks\n- :set_issues_private\n- :set_own_issues_private\n- :add_issue_notes\n- :edit_issue_notes\n- :edit_own_issue_notes\n- :view_private_notes\n- :set_notes_private\n- :delete_issues\n- :manage_public_queries\n- :save_queries\n- :view_issue_watchers\n- :add_issue_watchers\n- :delete_issue_watchers\n- :import_issues\n- :manage_categories\n- :view_time_entries\n- :log_time\n- :edit_time_entries\n- :edit_own_time_entries\n- :manage_project_activities\n- :manage_news\n- :comment_news\n- :view_documents\n- :add_documents\n- :edit_documents\n- :delete_documents\n- :view_files\n- :manage_files\n- :view_wiki_pages\n- :view_wiki_edits\n- :export_wiki_pages\n- :edit_wiki_pages\n- :rename_wiki_pages\n- :delete_wiki_pages\n- :delete_wiki_pages_attachments\n- :protect_wiki_pages\n- :manage_wiki\n- :view_changesets\n- :browse_repository\n- :commit_access\n- :manage_related_issues\n- :manage_repository\n- :add_messages\n- :edit_messages\n- :edit_own_messages\n- :delete_messages\n- :delete_own_messages\n- :manage_boards\n- :view_calendar\n- :view_gantt\n', 'all', 'all', 'all', 1, NULL),
(4, 'Desarrollador', 2, 1, 0, '---\n- :manage_versions\n- :manage_categories\n- :view_issues\n- :add_issues\n- :edit_issues\n- :view_private_notes\n- :set_notes_private\n- :manage_issue_relations\n- :manage_subtasks\n- :add_issue_notes\n- :save_queries\n- :view_gantt\n- :view_calendar\n- :log_time\n- :view_time_entries\n- :comment_news\n- :view_documents\n- :view_wiki_pages\n- :view_wiki_edits\n- :edit_wiki_pages\n- :delete_wiki_pages\n- :add_messages\n- :edit_own_messages\n- :view_files\n- :manage_files\n- :browse_repository\n- :view_changesets\n- :commit_access\n- :manage_related_issues\n', 'default', 'all', 'all', 1, NULL),
(5, 'Informador', 3, 1, 0, '---\n- :view_issues\n- :add_issues\n- :add_issue_notes\n- :save_queries\n- :view_gantt\n- :view_calendar\n- :log_time\n- :view_time_entries\n- :comment_news\n- :view_documents\n- :view_wiki_pages\n- :view_wiki_edits\n- :add_messages\n- :edit_own_messages\n- :view_files\n- :browse_repository\n- :view_changesets\n', 'default', 'all', 'all', 1, NULL),
(6, 'Cliente', 4, 1, 0, '---\n- :add_messages\n- :view_calendar\n- :view_documents\n- :view_files\n- :view_gantt\n- :view_issues\n- :add_issues\n- :edit_issues\n- :add_issue_notes\n- :save_queries\n- :comment_news\n- :view_changesets\n- :browse_repository\n- :view_time_entries\n- :view_wiki_pages\n- :view_wiki_edits\n', 'default', 'all', 'all', 1, '--- !ruby/hash:ActiveSupport::HashWithIndifferentAccess\npermissions_all_trackers: !ruby/hash:ActiveSupport::HashWithIndifferentAccess\n  view_issues: \'1\'\n  add_issues: \'1\'\n  edit_issues: \'1\'\n  add_issue_notes: \'1\'\n  delete_issues: \'1\'\npermissions_tracker_ids: !ruby/hash:ActiveSupport::HashWithIndifferentAccess\n  view_issues: []\n  add_issues: []\n  edit_issues: []\n  add_issue_notes: []\n  delete_issues: []\n'),
(7, 'Cliente responsable', 5, 1, 0, '---\n- :add_messages\n- :view_calendar\n- :view_documents\n- :view_files\n- :view_gantt\n- :view_issues\n- :add_issues\n- :edit_issues\n- :add_issue_notes\n- :save_queries\n- :comment_news\n- :view_changesets\n- :browse_repository\n- :view_time_entries\n- :view_wiki_pages\n- :view_wiki_edits\n', 'default', 'all', 'all', 1, '--- !ruby/hash:ActiveSupport::HashWithIndifferentAccess\npermissions_all_trackers: !ruby/hash:ActiveSupport::HashWithIndifferentAccess\n  view_issues: \'1\'\n  add_issues: \'1\'\n  edit_issues: \'1\'\n  add_issue_notes: \'1\'\n  delete_issues: \'1\'\npermissions_tracker_ids: !ruby/hash:ActiveSupport::HashWithIndifferentAccess\n  view_issues: []\n  add_issues: []\n  edit_issues: []\n  add_issue_notes: []\n  delete_issues: []\n');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `roles_managed_roles`
--

DROP TABLE IF EXISTS `roles_managed_roles`;
CREATE TABLE IF NOT EXISTS `roles_managed_roles` (
  `role_id` int(11) NOT NULL,
  `managed_role_id` int(11) NOT NULL,
  UNIQUE KEY `index_roles_managed_roles_on_role_id_and_managed_role_id` (`role_id`,`managed_role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `schema_migrations`
--

DROP TABLE IF EXISTS `schema_migrations`;
CREATE TABLE IF NOT EXISTS `schema_migrations` (
  `version` varchar(255) NOT NULL,
  UNIQUE KEY `unique_schema_migrations` (`version`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `schema_migrations`
--

INSERT INTO `schema_migrations` (`version`) VALUES
('1'),
('10'),
('100'),
('101'),
('102'),
('103'),
('104'),
('105'),
('106'),
('107'),
('108'),
('11'),
('12'),
('13'),
('14'),
('15'),
('16'),
('17'),
('18'),
('19'),
('2'),
('20'),
('20090214190337'),
('20090312172426'),
('20090312194159'),
('20090318181151'),
('20090323224724'),
('20090401221305'),
('20090401231134'),
('20090403001910'),
('20090406161854'),
('20090425161243'),
('20090503121501'),
('20090503121505'),
('20090503121510'),
('20090614091200'),
('20090704172350'),
('20090704172355'),
('20090704172358'),
('20091010093521'),
('20091017212227'),
('20091017212457'),
('20091017212644'),
('20091017212938'),
('20091017213027'),
('20091017213113'),
('20091017213151'),
('20091017213228'),
('20091017213257'),
('20091017213332'),
('20091017213444'),
('20091017213536'),
('20091017213642'),
('20091017213716'),
('20091017213757'),
('20091017213835'),
('20091017213910'),
('20091017214015'),
('20091017214107'),
('20091017214136'),
('20091017214236'),
('20091017214308'),
('20091017214336'),
('20091017214406'),
('20091017214440'),
('20091017214519'),
('20091017214611'),
('20091017214644'),
('20091017214720'),
('20091017214750'),
('20091025163651'),
('20091108092559'),
('20091114105931'),
('20091123212029'),
('20091205124427'),
('20091220183509'),
('20091220183727'),
('20091220184736'),
('20091225164732'),
('20091227112908'),
('20100129193402'),
('20100129193813'),
('20100221100219'),
('20100313132032'),
('20100313171051'),
('20100705164950'),
('20100819172912'),
('20101104182107'),
('20101107130441'),
('20101114115114'),
('20101114115359'),
('20110220160626'),
('20110223180944'),
('20110223180953'),
('20110224000000'),
('20110226120112'),
('20110226120132'),
('20110227125750'),
('20110228000000'),
('20110228000100'),
('20110401192910'),
('20110408103312'),
('20110412065600'),
('20110511000000'),
('20110902000000'),
('20111201201315'),
('20120115143024'),
('20120115143100'),
('20120115143126'),
('20120127174243'),
('20120205111326'),
('20120223110929'),
('20120301153455'),
('20120422150750'),
('20120705074331'),
('20120707064544'),
('20120714122000'),
('20120714122100'),
('20120714122200'),
('20120731164049'),
('20120930112914'),
('20121026002032'),
('20121026003537'),
('20121209123234'),
('20121209123358'),
('20121213084931'),
('20130110122628'),
('20130201184705'),
('20130202090625'),
('20130207175206'),
('20130207181455'),
('20130215073721'),
('20130215111127'),
('20130215111141'),
('20130217094251'),
('20130602092539'),
('20130710182539'),
('20130713104233'),
('20130713111657'),
('20130729070143'),
('20130911193200'),
('20131004113137'),
('20131005100610'),
('20131124175346'),
('20131210180802'),
('20131214094309'),
('20131215104612'),
('20131218183023'),
('20140228130325'),
('20140903143914'),
('20140920094058'),
('20141029181752'),
('20141029181824'),
('20141109112308'),
('20141122124142'),
('20150113194759'),
('20150113211532'),
('20150113213922'),
('20150113213955'),
('20150208105930'),
('20150510083747'),
('20150525103953'),
('20150526183158'),
('20150528084820'),
('20150528092912'),
('20150528093249'),
('20150725112753'),
('20150730122707'),
('20150730122735'),
('20150921204850'),
('20150921210243'),
('20151020182334'),
('20151020182731'),
('20151021184614'),
('20151021185456'),
('20151021190616'),
('20151024082034'),
('20151025072118'),
('20151031095005'),
('20160404080304'),
('20160416072926'),
('20160529063352'),
('21'),
('22'),
('23'),
('24'),
('25'),
('26'),
('27'),
('28'),
('29'),
('3'),
('30'),
('31'),
('32'),
('33'),
('34'),
('35'),
('36'),
('37'),
('38'),
('39'),
('4'),
('40'),
('41'),
('42'),
('43'),
('44'),
('45'),
('46'),
('47'),
('48'),
('49'),
('5'),
('50'),
('51'),
('52'),
('53'),
('54'),
('55'),
('56'),
('57'),
('58'),
('59'),
('6'),
('60'),
('61'),
('62'),
('63'),
('64'),
('65'),
('66'),
('67'),
('68'),
('69'),
('7'),
('70'),
('71'),
('72'),
('73'),
('74'),
('75'),
('76'),
('77'),
('78'),
('79'),
('8'),
('80'),
('81'),
('82'),
('83'),
('84'),
('85'),
('86'),
('87'),
('88'),
('89'),
('9'),
('90'),
('91'),
('92'),
('93'),
('94'),
('95'),
('96'),
('97'),
('98'),
('99');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `settings`
--

DROP TABLE IF EXISTS `settings`;
CREATE TABLE IF NOT EXISTS `settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `value` text,
  `updated_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_settings_on_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `settings`
--

INSERT INTO `settings` (`id`, `name`, `value`, `updated_on`) VALUES
(1, 'rest_api_enabled', '1', '2016-10-26 19:00:32'),
(2, 'jsonp_enabled', '1', '2016-10-26 19:00:32'),
(3, 'login_required', '1', '2016-10-26 19:46:29'),
(4, 'autologin', '0', '2016-10-26 19:46:29'),
(5, 'self_registration', '2', '2016-10-26 19:46:29'),
(6, 'unsubscribe', '1', '2016-10-26 19:46:30'),
(7, 'password_min_length', '8', '2016-10-26 19:46:30'),
(8, 'password_max_age', '0', '2016-10-26 19:46:30'),
(9, 'lost_password', '1', '2016-10-26 19:46:30'),
(10, 'max_additional_emails', '5', '2016-10-26 19:46:30'),
(11, 'openid', '0', '2016-10-26 19:46:30'),
(12, 'session_lifetime', '0', '2016-10-26 19:46:30'),
(13, 'session_timeout', '0', '2016-10-26 19:46:30'),
(14, 'default_users_hide_mail', '1', '2016-10-26 19:46:30');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `time_entries`
--

DROP TABLE IF EXISTS `time_entries`;
CREATE TABLE IF NOT EXISTS `time_entries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `issue_id` int(11) DEFAULT NULL,
  `hours` float NOT NULL,
  `comments` varchar(1024) DEFAULT NULL,
  `activity_id` int(11) NOT NULL,
  `spent_on` date NOT NULL,
  `tyear` int(11) NOT NULL,
  `tmonth` int(11) NOT NULL,
  `tweek` int(11) NOT NULL,
  `created_on` datetime NOT NULL,
  `updated_on` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `time_entries_project_id` (`project_id`),
  KEY `time_entries_issue_id` (`issue_id`),
  KEY `index_time_entries_on_activity_id` (`activity_id`),
  KEY `index_time_entries_on_user_id` (`user_id`),
  KEY `index_time_entries_on_created_on` (`created_on`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tokens`
--

DROP TABLE IF EXISTS `tokens`;
CREATE TABLE IF NOT EXISTS `tokens` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `action` varchar(30) NOT NULL DEFAULT '',
  `value` varchar(40) NOT NULL DEFAULT '',
  `created_on` datetime NOT NULL,
  `updated_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tokens_value` (`value`),
  KEY `index_tokens_on_user_id` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=105 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `tokens`
--

INSERT INTO `tokens` (`id`, `user_id`, `action`, `value`, `created_on`, `updated_on`) VALUES
(3, 1, 'feeds', 'b28eabb5e17238b02bd4548663744ee9641ee3fc', '2016-10-26 17:58:18', '2016-10-26 17:58:18'),
(64, 44, 'api', '14d37055a91d33cdcc1bfe1cfa9b817fbba813fc', '2016-11-13 20:13:45', '2016-11-13 20:13:45'),
(69, 1, 'api', '226b571019ed42ed9d88053dd5ef33ab98bdb3b2', '2016-11-19 17:26:19', '2016-11-19 17:26:19'),
(80, 44, 'feeds', 'c3aac676c53a607b1351d42d26673dd76806d48f', '2016-11-24 16:42:23', '2016-11-24 16:42:23'),
(82, 53, 'api', 'c7b42e8f26385c9b69365a242f12e76be2c14e12', '2016-11-25 00:22:27', '2016-11-25 00:22:27'),
(83, 54, 'api', '18824d84a20518eb6e740e84b05cd6528d943ef0', '2016-11-25 00:23:13', '2016-11-25 00:23:13'),
(84, 55, 'api', '48dd169bdd2cdde65df6d4233cc340aeaff18bd5', '2016-11-25 00:34:35', '2016-11-25 00:34:35'),
(89, 53, 'recovery', 'f45c5e7d272937830ef0cf90f060be8ccd60d806', '2016-11-27 11:02:24', '2016-11-27 11:02:24'),
(90, 1, 'session', 'e8b24f494746312c20c11950eb742b94aa18847a', '2016-11-27 12:57:35', '2016-11-27 16:15:32'),
(91, 56, 'api', '3380d9f0f96f29375d502c254ef1a415354bf0b6', '2016-11-27 16:16:32', '2016-11-27 16:16:32'),
(92, 1, 'session', '62e8d31a49203c0805085b620888e11a172eec84', '2016-11-29 01:30:27', '2016-11-29 01:30:31'),
(93, 1, 'session', 'ce70d0a0edb4889044942a18e4f7be03d7ba6395', '2016-11-29 18:11:15', '2016-11-29 18:12:16'),
(95, 53, 'session', '3773c6a7fa6c31f204d00a711c17685c3acf51c0', '2016-12-01 17:37:10', '2016-12-01 17:37:10'),
(97, 53, 'session', '5e0c81da554451148bedf2518dbe7784b5055ab4', '2016-12-01 22:35:58', '2016-12-01 22:35:58'),
(98, 1, 'session', 'faf7a24484016e85df06681289d6384822dd9aeb', '2016-12-01 22:37:10', '2016-12-01 22:37:10'),
(99, 1, 'session', 'fb33d176135068ca40e8595a309d4bfd205c4070', '2016-12-02 00:40:23', '2016-12-02 00:40:26'),
(100, 1, 'session', '5b9a6d3ec0bcdccc2f7595d9e0d33d1052e17aab', '2016-12-02 16:28:01', '2016-12-02 16:30:55'),
(101, 1, 'session', 'b5ff43ae64e0c8064542f3c6470f93c572496a57', '2016-12-05 22:27:33', '2016-12-05 22:27:33'),
(102, 1, 'session', 'b5dc7335ab778c481d562d1f770527cf9b53cb87', '2016-12-12 09:40:50', '2016-12-12 10:36:26'),
(103, 1, 'session', '1d697e553af00b02e07c7cc29a53431a5c33e53a', '2017-01-04 18:54:14', '2017-01-05 20:22:44'),
(104, 1, 'session', '54d122a6dd307cb2c9bee39a7bfeb3e971504642', '2017-01-11 22:02:53', '2017-01-11 22:02:54');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `trackers`
--

DROP TABLE IF EXISTS `trackers`;
CREATE TABLE IF NOT EXISTS `trackers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  `is_in_chlog` tinyint(1) NOT NULL DEFAULT '0',
  `position` int(11) DEFAULT NULL,
  `is_in_roadmap` tinyint(1) NOT NULL DEFAULT '1',
  `fields_bits` int(11) DEFAULT '0',
  `default_status_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `trackers`
--

INSERT INTO `trackers` (`id`, `name`, `is_in_chlog`, `position`, `is_in_roadmap`, `fields_bits`, `default_status_id`) VALUES
(1, 'Incidencia Software', 1, 1, 0, 0, 14),
(2, 'Tareas', 1, 2, 1, 0, 1),
(3, 'Incidencia Sistemas', 0, 3, 0, 0, 14),
(6, 'Desarrollo', 0, 4, 1, 0, 10),
(7, 'Sugerencia', 0, 5, 1, 0, 1),
(8, 'Preguntas Frecuentes', 0, 6, 1, 0, 1),
(9, 'Documentacion Cliente', 0, 7, 1, 0, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(255) NOT NULL DEFAULT '',
  `hashed_password` varchar(40) NOT NULL DEFAULT '',
  `firstname` varchar(30) NOT NULL DEFAULT '',
  `lastname` varchar(255) NOT NULL DEFAULT '',
  `admin` tinyint(1) NOT NULL DEFAULT '0',
  `status` int(11) NOT NULL DEFAULT '1',
  `last_login_on` datetime DEFAULT NULL,
  `language` varchar(5) DEFAULT '',
  `auth_source_id` int(11) DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `identity_url` varchar(255) DEFAULT NULL,
  `mail_notification` varchar(255) NOT NULL DEFAULT '',
  `salt` varchar(64) DEFAULT NULL,
  `must_change_passwd` tinyint(1) NOT NULL DEFAULT '0',
  `passwd_changed_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_users_on_id_and_type` (`id`,`type`),
  KEY `index_users_on_auth_source_id` (`auth_source_id`),
  KEY `index_users_on_type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `users`
--

INSERT INTO `users` (`id`, `login`, `hashed_password`, `firstname`, `lastname`, `admin`, `status`, `last_login_on`, `language`, `auth_source_id`, `created_on`, `updated_on`, `type`, `identity_url`, `mail_notification`, `salt`, `must_change_passwd`, `passwd_changed_on`) VALUES
(1, 'admin', '266c86e42c643dc20844c29be4dc494727ae3f2a', 'Victor Salamanca', 'Admin', 1, 1, '2017-01-11 22:02:53', 'es', NULL, '2016-10-26 17:51:59', '2016-10-26 17:57:30', 'User', NULL, 'all', 'e21fe7e0a4e78f5538701c99cc555788', 0, '2016-10-26 17:57:30'),
(2, '', '', '', 'Anonymous users', 0, 1, NULL, '', NULL, '2016-10-26 17:54:32', '2016-10-26 17:54:32', 'GroupAnonymous', NULL, '', NULL, 0, NULL),
(3, '', '', '', 'Non member users', 0, 1, NULL, '', NULL, '2016-10-26 17:54:32', '2016-10-26 17:54:32', 'GroupNonMember', NULL, '', NULL, 0, NULL),
(4, '', '', '', 'Anonymous', 0, 0, NULL, '', NULL, '2016-10-26 17:56:50', '2016-10-26 17:56:50', 'AnonymousUser', NULL, 'only_my_events', NULL, 0, NULL),
(6, '', '', '', 'prueba', 0, 1, NULL, '', NULL, '2016-11-09 18:26:06', '2016-11-09 18:26:06', 'Group', NULL, '', NULL, 0, NULL),
(44, 'usuario2', '908604f4d4baf26aae8e8d998a485cbf450e7ed0', 'antonio', 'garcia', 0, 1, '2016-11-26 19:42:56', 'es', NULL, '2016-11-13 20:13:45', '2016-11-13 20:13:45', 'User', NULL, 'only_my_events', '70ac702a8f0c37c61e1937fc27343e6b', 0, '2016-11-13 20:13:45'),
(53, 'cliente', '220e44f89d871eba2f768e5e089e766588921626', 'pepe', 'ortega', 0, 1, '2017-01-05 13:41:18', 'es', NULL, '2016-11-25 00:22:27', '2016-11-25 00:22:27', 'User', NULL, 'only_my_events', 'acd5f9587ae08dbbc4748997728beef0', 0, '2016-11-25 00:22:27'),
(54, 'responsable', '530594125d33a28ab5f423935080e4db47ae5295', 'antonio', 'lopez', 0, 1, '2017-01-06 10:09:27', 'es', NULL, '2016-11-25 00:23:13', '2016-11-25 00:23:13', 'User', NULL, 'only_my_events', 'de6e06369c217fc1dda655b71a519aeb', 0, '2016-11-25 00:23:13'),
(55, 'responsable1', '323cf4021e89c1a75917b5f8595800fa9c7bca37', 'prueba', 'pepe', 0, 1, '2016-12-01 11:46:35', 'es', NULL, '2016-11-25 00:34:35', '2016-11-25 00:34:35', 'User', NULL, 'only_my_events', '045346cb9e4764541b798806057769be', 0, '2016-11-25 00:34:35'),
(56, 'usuario3', '2ab305dcfe356d9f99aef6d0a126737bb0d3a21e', 'paco', 'perez', 0, 1, NULL, 'es', NULL, '2016-11-27 16:16:32', '2016-11-27 16:16:32', 'User', NULL, 'only_my_events', 'ffade2f71a53a6bfffb0ffa8dfd8fc85', 0, '2016-11-27 16:16:32');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user_preferences`
--

DROP TABLE IF EXISTS `user_preferences`;
CREATE TABLE IF NOT EXISTS `user_preferences` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `others` text,
  `hide_mail` tinyint(1) DEFAULT '1',
  `time_zone` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_user_preferences_on_user_id` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `user_preferences`
--

INSERT INTO `user_preferences` (`id`, `user_id`, `others`, `hide_mail`, `time_zone`) VALUES
(1, 1, '---\n:no_self_notified: \'1\'\n:comments_sorting: asc\n:warn_on_leaving_unsaved: \'1\'\n:gantt_zoom: 2\n:gantt_months: 6\n', 1, ''),
(4, 44, '---\n:no_self_notified: true\n', 1, NULL),
(9, 53, '---\n:no_self_notified: true\n', 1, NULL),
(10, 54, '---\n:no_self_notified: true\n', 1, NULL),
(11, 55, '---\n:no_self_notified: true\n', 1, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `versions`
--

DROP TABLE IF EXISTS `versions`;
CREATE TABLE IF NOT EXISTS `versions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) DEFAULT '',
  `effective_date` date DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  `wiki_page_title` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT 'open',
  `sharing` varchar(255) NOT NULL DEFAULT 'none',
  PRIMARY KEY (`id`),
  KEY `versions_project_id` (`project_id`),
  KEY `index_versions_on_sharing` (`sharing`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `watchers`
--

DROP TABLE IF EXISTS `watchers`;
CREATE TABLE IF NOT EXISTS `watchers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `watchable_type` varchar(255) NOT NULL DEFAULT '',
  `watchable_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `watchers_user_id_type` (`user_id`,`watchable_type`),
  KEY `index_watchers_on_user_id` (`user_id`),
  KEY `index_watchers_on_watchable_id_and_watchable_type` (`watchable_id`,`watchable_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `wikis`
--

DROP TABLE IF EXISTS `wikis`;
CREATE TABLE IF NOT EXISTS `wikis` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL,
  `start_page` varchar(255) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `wikis_project_id` (`project_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `wikis`
--

INSERT INTO `wikis` (`id`, `project_id`, `start_page`, `status`) VALUES
(1, 1, 'Wiki', 1),
(2, 2, 'Wiki', 1),
(3, 3, 'Wiki', 1),
(4, 4, 'Wiki', 1),
(5, 5, 'Wiki', 1),
(6, 6, 'Wiki', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `wiki_contents`
--

DROP TABLE IF EXISTS `wiki_contents`;
CREATE TABLE IF NOT EXISTS `wiki_contents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page_id` int(11) NOT NULL,
  `author_id` int(11) DEFAULT NULL,
  `text` longtext,
  `comments` varchar(1024) DEFAULT '',
  `updated_on` datetime NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `wiki_contents_page_id` (`page_id`),
  KEY `index_wiki_contents_on_author_id` (`author_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `wiki_contents`
--

INSERT INTO `wiki_contents` (`id`, `page_id`, `author_id`, `text`, `comments`, `updated_on`, `version`) VALUES
(1, 1, 1, 'h1. Wiki\r\nManual de usuario', '', '2016-12-01 19:53:55', 3),
(2, 2, 1, 'h1. Prueba', 'prueba', '2016-12-01 20:41:21', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `wiki_content_versions`
--

DROP TABLE IF EXISTS `wiki_content_versions`;
CREATE TABLE IF NOT EXISTS `wiki_content_versions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `wiki_content_id` int(11) NOT NULL,
  `page_id` int(11) NOT NULL,
  `author_id` int(11) DEFAULT NULL,
  `data` longblob,
  `compression` varchar(6) DEFAULT '',
  `comments` varchar(1024) DEFAULT '',
  `updated_on` datetime NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `wiki_content_versions_wcid` (`wiki_content_id`),
  KEY `index_wiki_content_versions_on_updated_on` (`updated_on`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `wiki_content_versions`
--

INSERT INTO `wiki_content_versions` (`id`, `wiki_content_id`, `page_id`, `author_id`, `data`, `compression`, `comments`, `updated_on`, `version`) VALUES
(1, 1, 1, 1, 0x68312e2057696b690d0a4d616e75616c206465207573756172696f, '', 'Manual de usuario', '2016-12-01 19:52:18', 1),
(2, 1, 1, 1, 0x68312e2057696b69640d0a4d616e75616c206465207573756172696f, '', '', '2016-12-01 19:53:48', 2),
(3, 1, 1, 1, 0x68312e2057696b690d0a4d616e75616c206465207573756172696f, '', '', '2016-12-01 19:53:55', 3),
(4, 2, 2, 1, 0x68312e20507275656261, '', 'prueba', '2016-12-01 20:41:21', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `wiki_pages`
--

DROP TABLE IF EXISTS `wiki_pages`;
CREATE TABLE IF NOT EXISTS `wiki_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `wiki_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `created_on` datetime NOT NULL,
  `protected` tinyint(1) NOT NULL DEFAULT '0',
  `parent_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `wiki_pages_wiki_id_title` (`wiki_id`,`title`),
  KEY `index_wiki_pages_on_wiki_id` (`wiki_id`),
  KEY `index_wiki_pages_on_parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `wiki_pages`
--

INSERT INTO `wiki_pages` (`id`, `wiki_id`, `title`, `created_on`, `protected`, `parent_id`) VALUES
(1, 5, 'Wiki', '2016-12-01 19:52:18', 0, NULL),
(2, 5, 'Prueba', '2016-12-01 20:41:21', 0, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `wiki_redirects`
--

DROP TABLE IF EXISTS `wiki_redirects`;
CREATE TABLE IF NOT EXISTS `wiki_redirects` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `wiki_id` int(11) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `redirects_to` varchar(255) DEFAULT NULL,
  `created_on` datetime NOT NULL,
  `redirects_to_wiki_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `wiki_redirects_wiki_id_title` (`wiki_id`,`title`),
  KEY `index_wiki_redirects_on_wiki_id` (`wiki_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `workflows`
--

DROP TABLE IF EXISTS `workflows`;
CREATE TABLE IF NOT EXISTS `workflows` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tracker_id` int(11) NOT NULL DEFAULT '0',
  `old_status_id` int(11) NOT NULL DEFAULT '0',
  `new_status_id` int(11) NOT NULL DEFAULT '0',
  `role_id` int(11) NOT NULL DEFAULT '0',
  `assignee` tinyint(1) NOT NULL DEFAULT '0',
  `author` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(30) DEFAULT NULL,
  `field_name` varchar(30) DEFAULT NULL,
  `rule` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `wkfs_role_tracker_old_status` (`role_id`,`tracker_id`,`old_status_id`),
  KEY `index_workflows_on_old_status_id` (`old_status_id`),
  KEY `index_workflows_on_role_id` (`role_id`),
  KEY `index_workflows_on_new_status_id` (`new_status_id`)
) ENGINE=InnoDB AUTO_INCREMENT=457 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `workflows`
--

INSERT INTO `workflows` (`id`, `tracker_id`, `old_status_id`, `new_status_id`, `role_id`, `assignee`, `author`, `type`, `field_name`, `rule`) VALUES
(31, 2, 1, 2, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(32, 2, 1, 3, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(33, 2, 1, 4, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(34, 2, 1, 5, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(35, 2, 1, 6, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(36, 2, 2, 1, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(37, 2, 2, 3, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(38, 2, 2, 4, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(39, 2, 2, 5, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(40, 2, 2, 6, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(41, 2, 3, 1, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(42, 2, 3, 2, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(43, 2, 3, 4, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(44, 2, 3, 5, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(45, 2, 3, 6, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(46, 2, 4, 1, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(47, 2, 4, 2, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(48, 2, 4, 3, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(49, 2, 4, 5, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(50, 2, 4, 6, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(51, 2, 5, 1, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(52, 2, 5, 2, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(53, 2, 5, 3, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(54, 2, 5, 4, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(55, 2, 5, 6, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(56, 2, 6, 1, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(57, 2, 6, 2, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(58, 2, 6, 3, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(59, 2, 6, 4, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(60, 2, 6, 5, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(104, 2, 1, 2, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(105, 2, 1, 3, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(106, 2, 1, 4, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(107, 2, 1, 5, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(108, 2, 2, 3, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(109, 2, 2, 4, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(110, 2, 2, 5, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(111, 2, 3, 2, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(112, 2, 3, 4, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(113, 2, 3, 5, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(114, 2, 4, 2, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(115, 2, 4, 3, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(116, 2, 4, 5, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(135, 2, 1, 5, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(136, 2, 2, 5, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(137, 2, 3, 5, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(138, 2, 4, 5, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(139, 2, 3, 4, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(280, 6, 7, 10, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(281, 6, 7, 10, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(282, 6, 7, 10, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(283, 6, 7, 10, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(284, 6, 7, 10, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(285, 6, 7, 10, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(286, 6, 7, 11, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(287, 6, 7, 11, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(288, 6, 7, 11, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(289, 6, 7, 11, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(290, 6, 7, 11, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(291, 6, 7, 11, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(292, 6, 8, 12, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(293, 6, 8, 12, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(294, 6, 8, 12, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(295, 6, 8, 12, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(296, 6, 8, 12, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(297, 6, 8, 12, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(298, 6, 10, 7, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(299, 6, 10, 7, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(300, 6, 10, 7, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(301, 6, 10, 7, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(302, 6, 10, 7, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(303, 6, 10, 7, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(304, 6, 11, 8, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(305, 6, 11, 8, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(306, 6, 11, 8, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(307, 6, 11, 8, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(308, 6, 11, 8, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(309, 6, 11, 8, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(310, 6, 7, 13, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(311, 6, 7, 13, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(312, 6, 7, 13, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(313, 6, 7, 13, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(314, 6, 7, 13, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(315, 6, 7, 13, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(316, 6, 13, 7, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(317, 6, 13, 7, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(318, 6, 13, 7, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(319, 6, 13, 7, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(320, 6, 13, 7, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(321, 6, 13, 7, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(322, 6, 7, 10, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(323, 6, 7, 11, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(324, 6, 7, 13, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(325, 6, 8, 12, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(326, 6, 10, 7, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(327, 6, 11, 8, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(328, 6, 13, 7, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(382, 1, 8, 9, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(383, 1, 8, 9, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(384, 1, 8, 9, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(385, 1, 8, 9, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(386, 1, 8, 9, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(387, 1, 8, 9, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(388, 1, 8, 9, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(389, 1, 9, 3, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(390, 1, 9, 3, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(391, 1, 9, 3, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(392, 1, 9, 3, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(393, 1, 9, 3, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(394, 1, 9, 3, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(395, 1, 9, 3, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(396, 1, 14, 8, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(397, 1, 14, 8, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(398, 1, 14, 8, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(399, 1, 14, 8, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(400, 1, 14, 8, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(401, 1, 14, 8, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(402, 1, 14, 8, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(403, 3, 8, 9, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(404, 3, 8, 9, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(405, 3, 8, 9, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(406, 3, 8, 9, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(407, 3, 8, 9, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(408, 3, 8, 9, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(409, 3, 8, 9, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(410, 3, 9, 3, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(411, 3, 9, 3, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(412, 3, 9, 3, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(413, 3, 9, 3, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(414, 3, 9, 3, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(415, 3, 9, 3, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(416, 3, 9, 3, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(417, 3, 14, 8, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(418, 3, 14, 8, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(419, 3, 14, 8, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(420, 3, 14, 8, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(421, 3, 14, 8, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(422, 3, 14, 8, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(423, 3, 14, 8, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(424, 7, 1, 2, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(425, 7, 1, 2, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(426, 7, 1, 2, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(427, 7, 1, 2, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(428, 7, 1, 2, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(429, 7, 1, 2, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(430, 7, 2, 5, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(431, 7, 2, 5, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(432, 7, 2, 5, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(433, 7, 2, 5, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(434, 7, 2, 5, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(435, 7, 2, 5, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(436, 8, 1, 5, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(437, 8, 1, 5, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(438, 8, 1, 5, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(439, 8, 1, 5, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(440, 8, 1, 5, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(441, 8, 1, 5, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(442, 8, 1, 5, 7, 0, 0, 'WorkflowTransition', NULL, NULL),
(450, 9, 1, 5, 1, 0, 0, 'WorkflowTransition', NULL, NULL),
(451, 9, 1, 5, 2, 0, 0, 'WorkflowTransition', NULL, NULL),
(452, 9, 1, 5, 3, 0, 0, 'WorkflowTransition', NULL, NULL),
(453, 9, 1, 5, 4, 0, 0, 'WorkflowTransition', NULL, NULL),
(454, 9, 1, 5, 5, 0, 0, 'WorkflowTransition', NULL, NULL),
(455, 9, 1, 5, 6, 0, 0, 'WorkflowTransition', NULL, NULL),
(456, 9, 1, 5, 7, 0, 0, 'WorkflowTransition', NULL, NULL);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
